const baseUrl = '/api/eis-lppz2-retrieval-service'

// const baseUrl = '/wrb1'
import { remote } from '@/views/EIS/remote/index.js'

const config = function (that) {
  return {
    remoteUrl: {
      url: baseUrl + '/api/v1/eis/retrieval/fourFloor/taskGroupData',
      headers: {
        'Content-Type': 'application/JSON',
      },
      method: 'post',
    },
    items: [
      {
        span: 8,
        type: 'input',
        name: 'taskGroupNo',
        label: '任务组号',
        value: '',
      },
      {
        span: 8,
        type: 'row',
        label: '日期',
        list: [
          {
            type: 'date',
            name: 'startTime',
            placeholder: '请输入开始日期',
            value: '',
            format: 'YYYY-MM-DD HH:mm:ss',
          },
          {
            type: 'date',
            name: 'endTime',
            placeholder: '请输入结束日期',
            format: 'YYYY-MM-DD hh:mm:ss',
            value: '',
          },
        ],
      },

      {
        span: 24,
        type: 'buttonGroup',
        style: { textAlign: 'right' },
        options: [
          {
            value: '查询',
            icon: 'search',
            btnType: 'primary',
            style: 'margin-right:10px',
            htmlType: 'submit',
          },
          {
            value: '重置',
            icon: 'redo',
            style: 'margin-right:50px',
            on: {
              click: (event, form) => {
                console.log(form)
                form.resetFields()
              },
            },
          },
        ],
      },
    ],
    columns: [
      {
        dataIndex: 'id',
        key: 'id',
        align: 'center',
        hidden: true,
        title: 'ID',
      },
      {
        dataIndex: 'taskGroupNo',
        key: 'taskGroupNo',
        align: 'center',
        title: '任务组编号',
      },
      {
        title: '任务下发时间',
        dataIndex: 'taskIssueTime',
        align: 'center',
        key: 'taskIssueTime',
        // customRender(text) {
        //   text == 10 && (text = '区域')
        //   text == 20 && (text = '接驳口')
        //   return text
        // },
      },
      {
        title: '任务组完成状态',
        dataIndex: 'taskGroupCompleteState',
        ellipsis: true,
        align: 'center',
        key: 'taskGroupCompleteState',
        customRender(text) {
          text == 1 && (text = '未开始')
          text == 2 && (text = '进行中')
          text == 3 && (text = '已完成')
          return text
        },
      },
      {
        title: '创建时间',
        key: 'createTime',
        ellipsis: true,
        dataIndex: 'createTime',
        align: 'center',
      },
      {
        title: '操作',
        key: 'operation',
        scopedSlots: { customRender: 'operation' },
        width: 150,
        fixed: 'right',
        align: 'center',
      },
    ],

    //托盘 托盘任务组数据查询
    taskGroupContainerData: {
      remoteUrl: {
        url: baseUrl + '/api/v1/eis/retrieval/fourFloor/taskGroupContainerData',
        headers: {
          'Content-Type': 'application/JSON',
        },
        method: 'post',
      },
      columns: [
        {
          dataIndex: 'id',
          key: 'id',
          align: 'center',
          hidden: true,
          title: 'ID',
        },
        {
          dataIndex: 'taskGroupNo',
          key: 'taskGroupNo',
          align: 'center',
          title: '任务组编号',
        },
        {
          title: '托盘号',
          dataIndex: 'containerNo',
          align: 'center',
          key: 'containerNo',
          // customRender(text) {
          //   text == 10 && (text = '区域')
          //   text == 20 && (text = '接驳口')
          //   return text
          // },
        },

        {
          title: '任务状态',
          key: 'taskState',
          ellipsis: true,
          dataIndex: 'taskState',
          align: 'center',
          customRender(text) {
            text == 1 && (text = '未开始')
            text == 2 && (text = '已离站')
            text == 3 && (text = '已完成')
            return text
          },
        },
        {
          title: '取消状态',
          key: 'cancelTask',
          ellipsis: true,
          dataIndex: 'cancelTask',
          align: 'center',
        },
        {
          title: '任务取消是否同步EWM',
          key: 'cancelTaskToEwm',
          ellipsis: true,
          dataIndex: 'cancelTaskToEwm',
          align: 'center',
        },
        {
          title: '下发搬运任务taskId',
          key: 'taskId',
          ellipsis: true,
          dataIndex: 'taskId',
          align: 'center',
        },
        {
          title: '创建时间',
          key: 'createTime',
          ellipsis: true,
          dataIndex: 'createTime',
          align: 'center',
        },
        {
          title: '站台编号',
          key: 'stationNo',
          ellipsis: true,
          dataIndex: 'stationNo',
          align: 'center',
        },
        {
          title: '生成搬运任务时间',
          key: 'updateTime',
          ellipsis: true,
          dataIndex: 'updateTime',
          align: 'center',
        },
      ],
    },
    //站台 任务组站台查询
    taskGroupStationData: {
      remoteUrl: {
        url: baseUrl + '/api/v1/eis/retrieval/fourFloor/taskGroupStationData',
        headers: {
          'Content-Type': 'application/JSON',
        },
        method: 'post',
      },
      columns: [
        {
          dataIndex: 'id',
          key: 'id',
          align: 'center',
          hidden: true,
          title: 'ID',
        },
        {
          dataIndex: 'taskGroupNo',
          key: 'taskGroupNo',
          align: 'center',
          title: '任务组编号',
        },
        {
          title: '站台号',
          dataIndex: 'stationNo',
          align: 'center',
          key: 'stationNo',
          // customRender(text) {
          //   text == 10 && (text = '区域')
          //   text == 20 && (text = '接驳口')
          //   return text
          // },
        },

        {
          title: '是否同步回传EWM',
          key: 'syncEwm',
          ellipsis: true,
          dataIndex: 'syncEwm',
          align: 'center',
          customRender(text) {
            text == 0 && (text = '否')
            text == 1 && (text = '是')
            return text
          },
        },
        {
          title: '离站时是否释放',
          key: 'isDispose',
          ellipsis: true,
          dataIndex: 'isDispose',
          align: 'center',
          customRender(text) {
            text == 0 && (text = '否')
            text == 1 && (text = '是')
            return text
          },
        },
      ],
    },
    //任务包 任务组查询任务包
    taskPackageData: {
      remoteUrl: {
        url: baseUrl + '/api/v1/eis/retrieval/fourFloor/taskPackageData',
        headers: {
          'Content-Type': 'application/JSON',
        },
        method: 'post',
      },
      columns: [
        {
          dataIndex: 'id',
          key: 'id',
          align: 'center',
          hidden: true,
          title: 'ID',
        },
        {
          dataIndex: 'taskGroupNo',
          key: 'taskGroupNo',
          align: 'center',
          title: '任务组编号',
        },
        {
          title: '任务编号',
          dataIndex: 'taskNo',
          align: 'center',
          key: 'taskNo',
          // customRender(text) {
          //   text == 10 && (text = '区域')
          //   text == 20 && (text = '接驳口')
          //   return text
          // },
        },

        {
          title: '任务包投线状态',
          key: 'taskPackageLineState',
          ellipsis: true,
          dataIndex: 'taskPackageLineState',
          align: 'center',
          customRender(text) {
            text == 1 && (text = '已投线完成')
            text == 0 && (text = '未投线完成')
            return text
          },
        },
        {
          title: '是否下发wcs',
          key: 'isSendWCS',
          ellipsis: true,
          dataIndex: 'isSendWCS',
          align: 'center',
          customRender(text) {
            text == 1 && (text = '是')
            text == 0 && (text = '否')
            return text
          },
        },
        {
          title: '创建时间',
          key: 'createTime',
          ellipsis: true,
          dataIndex: 'createTime',
          align: 'center',
        },
        {
          title: '操作',
          key: 'operation',
          scopedSlots: { customRender: 'operation' },
          //   width: 150,
          //   fixed: 'right',
          align: 'center',
        },
      ],
    },
    //任务包周转箱 taskPackageBoxData
    taskPackageBoxData: {
      remoteUrl: {
        url: baseUrl + '/api/v1/eis/retrieval/fourFloor/taskPackageBoxData',
        headers: {
          'Content-Type': 'application/JSON',
        },
        method: 'post',
      },
      columns: [
        {
          dataIndex: 'id',
          key: 'id',
          align: 'center',
          hidden: true,
          title: 'ID',
        },
        {
          dataIndex: 'taskPackageId',
          key: 'taskPackageId',
          align: 'center',
          title: '任务包编号',
        },
        {
          title: '周转箱编号',
          dataIndex: 'boxNo',
          align: 'center',
          key: 'boxNo',
          // customRender(text) {
          //   text == 10 && (text = '区域')
          //   text == 20 && (text = '接驳口')
          //   return text
          // },
        },

        {
          title: '到达缓存段状态',
          key: 'cacheSegmentStatus',
          ellipsis: true,
          dataIndex: 'cacheSegmentStatus',
          align: 'center',
          customRender(text) {
            // （0、未到达，1、已到达，2缓存段释放）
            text == 1 && (text = '已到达')
            text == 2 && (text = '缓存段释放')
            text == 0 && (text = '未到达')
            return text
          },
        },
        {
          title: '投线状态',
          key: 'deliverStatus',
          ellipsis: true,
          dataIndex: 'deliverStatus',
          align: 'center',
          //   0、未投线，1、已投线
          customRender(text) {
            // （0、未到达，1、已到达，2缓存段释放）
            text == 1 && (text = '已投线')
            text == 0 && (text = '未投线')
            return text
          },
        },
        {
          title: '员工工号',
          key: 'staffNo',
          ellipsis: true,
          dataIndex: 'staffNo',
          align: 'center',
        },
        {
          title: '包类型',
          key: 'boxType',
          ellipsis: true,
          dataIndex: 'boxType',
          align: 'center',
          customRender(text) {
            // 1：任务包 2：礼盒
            text == 1 && (text = '任务包')
            text == 2 && (text = '礼盒')
            return text
          },
        },
        {
          title: '创建时间',
          key: 'createTime',
          ellipsis: true,
          dataIndex: 'createTime',
          align: 'center',
        },
        {
          title: '操作',
          key: 'operation',
          scopedSlots: { customRender: 'operation' },
          //   width: 150,
          //   fixed: 'right',
          align: 'center',
        },
      ],
    },
    //周转箱明细 taskPackageBoxDetailData
    taskPackageBoxDetailData: {
      remoteUrl: {
        url: baseUrl + '/api/v1/eis/retrieval/fourFloor/taskPackageBoxDetailData',
        headers: {
          'Content-Type': 'application/JSON',
        },
        method: 'post',
      },
      columns: [
        {
          dataIndex: 'id',
          key: 'id',
          align: 'center',
          hidden: true,
          title: 'ID',
        },
        {
          dataIndex: 'taskPackageId',
          key: 'taskPackageId',
          align: 'center',
          title: '任务包编号',
        },
        {
          title: '周转箱编号',
          dataIndex: 'boxNo',
          align: 'center',
          key: 'boxNo',
          // customRender(text) {
          //   text == 10 && (text = '区域')
          //   text == 20 && (text = '接驳口')
          //   return text
          // },
        },

        {
          title: '商品条码',
          key: 'goodsCode',
          ellipsis: true,
          dataIndex: 'goodsCode',
          align: 'center',
        },
        {
          title: '商品名称',
          key: 'goodsName',
          ellipsis: true,
          dataIndex: 'goodsName',
          align: 'center',
        },
        {
          title: '商品数量',
          key: 'goodsCount',
          ellipsis: true,
          dataIndex: 'goodsCount',
          align: 'center',
        },
        {
          title: '扫描类型',
          key: 'scanType',
          ellipsis: true,
          dataIndex: 'scanType',
          align: 'center',
          //   0、人工扫描，1、机扫
          customRender(text) {
            text == 1 && (text = '人工扫描')
            text == 0 && (text = '机扫')
            return text
          },
        },
        {
          title: '机械臂作业标识',
          key: 'robotType',
          ellipsis: true,
          dataIndex: 'robotType',
          align: 'center',
          //   （0、人工站台，1、机械臂站台）
          customRender(text) {
            text == 1 && (text = '人工站台')
            text == 0 && (text = '机械臂站台')
            return text
          },
        },
        {
          title: '创建时间',
          key: 'createTime',
          ellipsis: true,
          dataIndex: 'createTime',
          align: 'center',
        },
      ],
    },
    //任务包订单 taskPackageBoxData
    taskPackageOrderData: {
      remoteUrl: {
        url: baseUrl + '/api/v1/eis/retrieval/fourFloor/taskPackageOrderData',
        headers: {
          'Content-Type': 'application/JSON',
        },
        method: 'post',
      },
      columns: [
        {
          dataIndex: 'id',
          key: 'id',
          align: 'center',
          hidden: true,
          title: 'ID',
        },
        {
          dataIndex: 'taskNo',
          key: 'taskNo',
          align: 'center',
          title: '任务包编号',
        },
        {
          title: '订单编号',
          dataIndex: 'orderNo',
          align: 'center',
          key: 'orderNo',
          // customRender(text) {
          //   text == 10 && (text = '区域')
          //   text == 20 && (text = '接驳口')
          //   return text
          // },
        },

        {
          title: '箱型',
          key: 'boxType',
          ellipsis: true,
          dataIndex: 'boxType',
          align: 'center',
        },
        {
          title: '分拨道口号',
          key: 'latticeNo',
          ellipsis: true,
          dataIndex: 'latticeNo',
          align: 'center',
        },
        {
          title: '是否短拣',
          key: 'shortPick',
          ellipsis: true,
          dataIndex: 'shortPick',
          align: 'center',
          customRender(text) {
            text == 1 && (text = '是')
            text == 0 && (text = '否')
            return text
          },
        },
        {
          title: '格口绑定时间',
          key: 'latticeBindingTime',
          ellipsis: true,
          dataIndex: 'latticeBindingTime',
          align: 'center',
        },
        {
          title: '开始投线时间',
          key: 'startLineTime',
          ellipsis: true,
          dataIndex: 'startLineTime',
          align: 'center',
        },
        {
          title: '订单完成时间',
          key: 'orderCompleteTime',
          ellipsis: true,
          dataIndex: 'orderCompleteTime',
          align: 'center',
        },
        {
          title: '创建时间',
          key: 'createTime',
          ellipsis: true,
          dataIndex: 'createTime',
          align: 'center',
        },
        {
          title: '操作',
          key: 'operation',
          scopedSlots: { customRender: 'operation' },
          //   width: 150,
          //   fixed: 'right',
          align: 'center',
        },
      ],
    },
    //任务包单明细  taskPackageBoxDetailData
    taskPackageOrderDetailData: {
      remoteUrl: {
        url: baseUrl + '/api/v1/eis/retrieval/fourFloor/taskPackageOrderDetailData',
        headers: {
          'Content-Type': 'application/JSON',
        },
        method: 'post',
      },
      columns: [
        {
          dataIndex: 'id',
          key: 'id',
          align: 'center',
          hidden: true,
          title: 'ID',
        },
        {
          dataIndex: 'orderNo',
          key: 'orderNo',
          align: 'center',
          title: '订单编号',
        },
        {
          title: '商品条码',
          dataIndex: 'goodsCode',
          align: 'center',
          key: 'goodsCode',
          // customRender(text) {
          //   text == 10 && (text = '区域')
          //   text == 20 && (text = '接驳口')
          //   return text
          // },
        },

        {
          title: '商品数量',
          key: 'goodsCount',
          ellipsis: true,
          dataIndex: 'goodsCount',
          align: 'center',
        },
        {
          title: '实际拣选数量',
          key: 'actualPickCount',
          ellipsis: true,
          dataIndex: 'actualPickCount',
          align: 'center',
        },
        {
          title: '创建时间',
          key: 'createTime',
          ellipsis: true,
          dataIndex: 'createTime',
          align: 'center',
        },
      ],
    },
    //任务包单详情  taskGroupContainerData
    // taskGroupContainerData: {
    //   remoteUrl: {
    //     url: baseUrl + '/api/v1/eis/retrieval/fourFloor/taskPackageBoxData',
    //     headers: {
    //       'Content-Type': 'application/JSON',
    //     },
    //     method: 'post',
    //   },
    //   columns: [
    //     {
    //       dataIndex: 'id',
    //       key: 'id',
    //       align: 'center',
    //       hidden: true,
    //       title: 'ID',
    //     },
    //     {
    //       dataIndex: 'taskGroupNo',
    //       key: 'taskGroupNo',
    //       align: 'center',
    //       title: '任务组编号',
    //     },
    //     {
    //       title: '托盘号',
    //       dataIndex: 'containerNo',
    //       align: 'center',
    //       key: 'containerNo',
    //       // customRender(text) {
    //       //   text == 10 && (text = '区域')
    //       //   text == 20 && (text = '接驳口')
    //       //   return text
    //       // },
    //     },

    //     {
    //       title: '任务状态',
    //       key: 'taskState',
    //       ellipsis: true,
    //       dataIndex: 'taskState',
    //       align: 'center',
    //       customRender(text) {
    //         text == 1 && (text = '未开始')
    //         text == 2 && (text = '已离站')
    //         text == 3 && (text = '已完成')
    //         return text
    //       },
    //     },
    //     {
    //       title: '取消状态',
    //       key: 'cancelTask',
    //       ellipsis: true,
    //       dataIndex: 'cancelTask',
    //       align: 'center',
    //     },
    //     {
    //       title: '任务取消是否同步EWM',
    //       key: 'cancelTaskToEwm',
    //       ellipsis: true,
    //       dataIndex: 'cancelTaskToEwm',
    //       align: 'center',
    //     },
    //     {
    //       title: '下发搬运任务taskId',
    //       key: 'taskId',
    //       ellipsis: true,
    //       dataIndex: 'taskId',
    //       align: 'center',
    //     },
    //     {
    //       title: '创建时间',
    //       key: 'createTime',
    //       ellipsis: true,
    //       dataIndex: 'createTime',
    //       align: 'center',
    //     },
    //     {
    //       title: '站台编号',
    //       key: 'stationNo',
    //       ellipsis: true,
    //       dataIndex: 'stationNo',
    //       align: 'center',
    //     },
    //     {
    //       title: '生成搬运任务时间',
    //       key: 'updateTime',
    //       ellipsis: true,
    //       dataIndex: 'updateTime',
    //       align: 'center',
    //     },
    //   ],
    // },
    //   订单贴标查询 labelTaskData
    labelTaskData: {
      remoteUrl: {
        url: baseUrl + '/api/v1/eis/retrieval/fourFloor/taskPackageBoxData',
        headers: {
          'Content-Type': 'application/JSON',
        },
        method: 'post',
      },
      columns: [
        {
          dataIndex: 'id',
          key: 'id',
          align: 'center',
          hidden: true,
          title: 'ID',
        },
        {
          dataIndex: 'taskGroupNo',
          key: 'taskGroupNo',
          align: 'center',
          title: '任务组编号',
        },
        {
          title: '托盘号',
          dataIndex: 'containerNo',
          align: 'center',
          key: 'containerNo',
          // customRender(text) {
          //   text == 10 && (text = '区域')
          //   text == 20 && (text = '接驳口')
          //   return text
          // },
        },

        {
          title: '任务状态',
          key: 'taskState',
          ellipsis: true,
          dataIndex: 'taskState',
          align: 'center',
          customRender(text) {
            text == 1 && (text = '未开始')
            text == 2 && (text = '已离站')
            text == 3 && (text = '已完成')
            return text
          },
        },
        {
          title: '取消状态',
          key: 'cancelTask',
          ellipsis: true,
          dataIndex: 'cancelTask',
          align: 'center',
        },
        {
          title: '任务取消是否同步EWM',
          key: 'cancelTaskToEwm',
          ellipsis: true,
          dataIndex: 'cancelTaskToEwm',
          align: 'center',
        },
        {
          title: '下发搬运任务taskId',
          key: 'taskId',
          ellipsis: true,
          dataIndex: 'taskId',
          align: 'center',
        },
        {
          title: '创建时间',
          key: 'createTime',
          ellipsis: true,
          dataIndex: 'createTime',
          align: 'center',
        },
        {
          title: '站台编号',
          key: 'stationNo',
          ellipsis: true,
          dataIndex: 'stationNo',
          align: 'center',
        },
        {
          title: '生成搬运任务时间',
          key: 'updateTime',
          ellipsis: true,
          dataIndex: 'updateTime',
          align: 'center',
        },
      ],
    },
    //订单封箱查询 sealBoxTaskData
    sealBoxTaskData: {
      remoteUrl: {
        url: baseUrl + '/api/v1/eis/retrieval/fourFloor/taskPackageBoxData',
        headers: {
          'Content-Type': 'application/JSON',
        },
        method: 'post',
      },
      columns: [
        {
          dataIndex: 'id',
          key: 'id',
          align: 'center',
          hidden: true,
          title: 'ID',
        },
        {
          dataIndex: 'taskGroupNo',
          key: 'taskGroupNo',
          align: 'center',
          title: '任务组编号',
        },
        {
          title: '托盘号',
          dataIndex: 'containerNo',
          align: 'center',
          key: 'containerNo',
          // customRender(text) {
          //   text == 10 && (text = '区域')
          //   text == 20 && (text = '接驳口')
          //   return text
          // },
        },

        {
          title: '任务状态',
          key: 'taskState',
          ellipsis: true,
          dataIndex: 'taskState',
          align: 'center',
          customRender(text) {
            text == 1 && (text = '未开始')
            text == 2 && (text = '已离站')
            text == 3 && (text = '已完成')
            return text
          },
        },
        {
          title: '取消状态',
          key: 'cancelTask',
          ellipsis: true,
          dataIndex: 'cancelTask',
          align: 'center',
        },
        {
          title: '任务取消是否同步EWM',
          key: 'cancelTaskToEwm',
          ellipsis: true,
          dataIndex: 'cancelTaskToEwm',
          align: 'center',
        },
        {
          title: '下发搬运任务taskId',
          key: 'taskId',
          ellipsis: true,
          dataIndex: 'taskId',
          align: 'center',
        },
        {
          title: '创建时间',
          key: 'createTime',
          ellipsis: true,
          dataIndex: 'createTime',
          align: 'center',
        },
        {
          title: '站台编号',
          key: 'stationNo',
          ellipsis: true,
          dataIndex: 'stationNo',
          align: 'center',
        },
        {
          title: '生成搬运任务时间',
          key: 'updateTime',
          ellipsis: true,
          dataIndex: 'updateTime',
          align: 'center',
        },
      ],
    },
    taskPackageOrderDetailData1: {
      remoteUrl: {
        url: baseUrl + '/api/v1/eis/retrieval/fourFloor/taskPackageBoxData',
        headers: {
          'Content-Type': 'application/JSON',
        },
        method: 'post',
      },
      columns: [
        {
          dataIndex: 'id',
          key: 'id',
          align: 'center',
          hidden: true,
          title: 'ID',
        },
        {
          dataIndex: 'taskGroupNo',
          key: 'taskGroupNo',
          align: 'center',
          title: '任务组编号',
        },
        {
          title: '托盘号',
          dataIndex: 'containerNo',
          align: 'center',
          key: 'containerNo',
          // customRender(text) {
          //   text == 10 && (text = '区域')
          //   text == 20 && (text = '接驳口')
          //   return text
          // },
        },

        {
          title: '任务状态',
          key: 'taskState',
          ellipsis: true,
          dataIndex: 'taskState',
          align: 'center',
          customRender(text) {
            text == 1 && (text = '未开始')
            text == 2 && (text = '已离站')
            text == 3 && (text = '已完成')
            return text
          },
        },
        {
          title: '取消状态',
          key: 'cancelTask',
          ellipsis: true,
          dataIndex: 'cancelTask',
          align: 'center',
        },
        {
          title: '任务取消是否同步EWM',
          key: 'cancelTaskToEwm',
          ellipsis: true,
          dataIndex: 'cancelTaskToEwm',
          align: 'center',
        },
        {
          title: '下发搬运任务taskId',
          key: 'taskId',
          ellipsis: true,
          dataIndex: 'taskId',
          align: 'center',
        },
        {
          title: '创建时间',
          key: 'createTime',
          ellipsis: true,
          dataIndex: 'createTime',
          align: 'center',
        },
        {
          title: '站台编号',
          key: 'stationNo',
          ellipsis: true,
          dataIndex: 'stationNo',
          align: 'center',
        },
        {
          title: '生成搬运任务时间',
          key: 'updateTime',
          ellipsis: true,
          dataIndex: 'updateTime',
          align: 'center',
        },
      ],
    },
  }
}

export default config
