var base = '/api/upcloud-base-inventory-mysql-eistest'
const config = function (that) {
  return {
    remoteUrl: {
      url: base + '/containerstore/getAll',
      headers: {
        'Content-Type': 'application/JSON',
      },
      method: 'post',
    },
    items: [
      {
        span: 8,
        type: 'input',
        name: 'containerNo',
        label: '容器号',
        value: '',
      },
      {
        span: 8,
        type: 'input',
        name: 'containerStoreSubNo',
        label: '子容器号',
        value: '',
      },
      {
        span: 8,
        type: 'input',
        name: 'cargoOwnerName',
        label: '业主名称',
        value: '',
      },
      {
        span: 8,
        type: 'input',
        name: 'itemName',
        label: '商品名称',
        value: '',
      },
      {
        span: 8,
        type: 'input',
        name: 'batchNum',
        label: '批次号',
        value: '',
      },
      {
        span: 8,
        label: '有效期开始时间',
        type: 'date',
        name: 'createTimeFrom',
        placeholder: '开始日期',
        value: '',
        format: 'YYYY-MM-DD HH:mm:ss',
        showTime: true,

        style: 'padding-right:5px;',
      },
      {
        span: 8,
        label: '有效期结束时间',
        type: 'date',
        name: 'createTimeTo',
        placeholder: '结束日期',
        format: 'YYYY-MM-DD hh:mm:ss',
        value: '',
      },
      {
        span: 8,
        type: 'select',
        name: 'taskType',
        label: '任务类型',
        value: '',
        options: [
          { label: '未开始', value: 0 },
          { label: '进行中', value: 1 },
          { label: '已完成', value: 2 },
          { label: '已暂停', value: 3 },
          { label: '已取消', value: 4 },
        ],
      },
      {
        span: 8,
        type: 'select',
        name: 'containerType',
        label: '容器类型',
        value: '',
        options: [
          { label: '未开始', value: 0 },
          { label: '进行中', value: 1 },
          { label: '已完成', value: 2 },
          { label: '已暂停', value: 3 },
          { label: '已取消', value: 4 },
        ],
      },

      //   {
      //     span: 8,
      //     type: 'select',
      //     name: 'status',
      //     label: '任务单状态',
      //     value: '',
      //     options: [
      //       { label: '未开始', value: 0 },
      //       { label: '进行中', value: 1 },
      //       { label: '已完成', value: 2 },
      //       { label: '已暂停', value: 3 },
      //       { label: '已取消', value: 4 }
      //     ]
      //   },

      {
        span: 24,
        type: 'buttonGroup',
        style: { textAlign: 'right' },
        options: [
          {
            value: '查询',
            icon: 'search',
            btnType: 'primary',
            style: 'margin-right:10px',
            htmlType: 'submit',
          },
          {
            value: '重置',
            icon: 'redo',
            style: 'margin-right:50px',
            on: {
              click: (event, form) => {
                console.log(form)
                form.resetFields()
              },
            },
          },
        ],
      },
    ],
    columns: [
      {
        dataIndex: 'id',
        key: 'id',
        align: 'center',
        width: 150,
        ellipsis: true,
        title: 'ID',
      },
      {
        title: '子容器号',
        dataIndex: 'containerStoreSubNo',
        ellipsis: true,
        align: 'center',
        width: 150,
        key: 'containerStoreSubNo',
        // customRender(text) {
        //   text == 10 && (text = '区域')
        //   text == 20 && (text = '接驳口')
        //   return text
        // }
      },
      {
        title: '容器号',
        dataIndex: 'containerNo',
        ellipsis: true,
        align: 'center',
        width: 150,
        key: 'containerNo',
      },
      {
        title: '业主名称',
        key: 'cargoOwnerName',
        width: 150,
        ellipsis: true,
        dataIndex: 'cargoOwnerName',
        align: 'center',
      },
      {
        title: '商品名称',
        dataIndex: 'itemName',
        align: 'center',
        ellipsis: true,
        width: 150,
        key: 'itemName',
      },
      {
        title: '批次号',
        key: 'batchNum',
        width: 150,
        ellipsis: true,
        dataIndex: 'batchNum',
        align: 'center',
      },
      {
        title: '有效期',
        dataIndex: 'batchExpiredDate',
        align: 'center',
        width: 150,
        key: 'batchExpiredDate',
      },
      {
        title: '数量',
        width: 150,
        dataIndex: 'qty',
        align: 'center',
        key: 'qty',
      },
      {
        title: '容器类型',
        dataIndex: 'containerType',
        width: 150,
        align: 'center',
        key: 'containerType',
      },
      {
        title: '任务类型',
        dataIndex: 'taskType',
        width: 150,
        align: 'center',
        key: 'taskType',
      },
      {
        title: '创建时间',
        dataIndex: 'createTime',
        width: 150,
        align: 'center',
        key: 'createTime',
      },
      {
        title: '更新时间',
        dataIndex: 'updateTime',
        width: 150,
        align: 'center',
        key: 'updateTime',
      },

      //   {
      //     title: '操作',
      //     key: 'operation',
      //     scopedSlots: { customRender: 'operation' },
      //     align: 'center'
      //   }
    ],
    Modelitems: [
      {
        span: 24,
        type: 'input',
        name: 'areaNo',
        required: true,
        label: '区域编号',
        value: '',
      },
      {
        span: 24,
        type: 'input',
        name: 'id',
        hidden: true,
        label: 'id',
        value: '',
      },
      {
        span: 24,
        type: 'select',
        name: 'areaType',
        required: true,
        label: '区域类别',
        options: [
          { label: '区域', value: 10 },
          { label: '接驳口', value: 20 },
        ],
        on: {
          change(value, label, options, vnode) {
            console.log(arguments)
            if (value == 20) {
              that.config.Modelitems = that.config.Modelitemsupdate
              //   vnode.fieldsStore.fields
            } else if (value == 10) {
              that.config.Modelitems = that.config.Modelitemsupdate1
            }
            // console.log(that.$refs.model.form.fieldsStore)
            console.log(that.config.Modelitems)
          },
        },
        value: '',
      },
      {
        span: 24,
        type: 'input',
        name: 'gcsLocationNo',
        hidden: true,
        required: true,
        label: 'GCS点位',
        value: '',
      },
      {
        span: 24,
        type: 'input',
        name: 'mcsLocationNo',
        hidden: true,
        required: true,
        label: 'MCS点位',
        value: '',
      },

      {
        span: 24,
        type: 'input',
        name: 'rcsLocationNo',
        hidden: true,
        required: true,
        label: 'RCS点位',
        value: '',
      },

      {
        span: 24,
        type: 'input',
        name: 'layer',
        required: true,
        label: '层',
        value: '',
      },

      {
        span: 24,
        type: 'input',
        name: 'x',
        hidden: true,
        required: true,
        label: 'X轴',
        value: '',
      },

      {
        span: 24,
        type: 'input',
        name: 'y',
        hidden: true,
        required: true,
        label: 'Y轴',
        value: '',
      },
      //   {
      //     title: '下游WCS系统',
      //     dataIndex: 'deviceSystem',
      //     align: 'center',
      //     ellipsis: true,
      //     key: 'deviceSystem'
      //   },
      {
        span: 24,
        type: 'input',
        name: 'deviceSystem',
        required: true,
        label: '下游WCS系统',
        value: '',
      },

      {
        span: 24,
        type: 'input',
        name: 'maxHeight',
        required: true,
        label: '高度限制',
        value: '',
      },

      {
        span: 24,
        type: 'number',
        name: 'maxCount',
        required: true,
        label: '最大容器数',
        value: '',
      },

      {
        span: 24,
        type: 'select',
        required: true,
        name: 'policy',
        label: '分配货位策略',
        value: 0,
        options: [
          {
            value: 0,
            label: '否',
          },
          {
            value: 1,
            label: '是',
          },
        ],
      },
      {
        span: 24,
        type: 'input',
        name: 'gcsArea',
        required: true,
        label: '跨层区域',
        value: '',
      },
      {
        span: 24,
        type: 'input',
        name: 'wmsAreaNo',
        required: true,
        label: 'WMS接口区域',
        value: '',
      },

      {
        span: 24,
        type: 'textarea',
        name: 'remark',
        required: true,
        label: '备注',
        value: '',
      },
    ],
    details: {
      currentArea: '当前节点区域',
      nextArea: '下个节点区域',
      routeTaskState: '任务状态',
      routeExecuteState: '执行状态',
      currentLocation: '当前节点点位',
      nextLocation: '下个节点点位',
      deviceTask_id: '设备任务ID',
      deviceNo: '执行设备编号',
      arriveTime: '到位时间',
      errorMsg: '错误消息',
      updateTime: '修改时间',
    },
    Modelitemsupdate1: [
      {
        span: 24,
        type: 'input',
        name: 'areaNo',
        required: true,
        label: '区域编号',
        value: '',
      },
      {
        span: 24,
        type: 'input',
        name: 'id',
        hidden: true,
        label: 'id',
        value: '',
      },
      {
        span: 24,
        type: 'select',
        name: 'areaType',
        required: true,
        label: '区域类别',
        options: [
          { label: '区域', value: 10 },
          { label: '接驳口', value: 20 },
        ],
        on: {
          change(value, label, options) {
            console.log(arguments)
            if (value == 10) {
              //区域
              that.config.Modelitems = that.config.Modelitemsupdate1
            } else if (value == 20) {
              //接驳口
              that.config.Modelitems = that.config.Modelitemsupdate
            }
          },
        },
        value: '',
      },
      {
        span: 24,
        type: 'input',
        name: 'layer',
        required: true,
        label: '层',
        value: '',
      },
      {
        span: 24,
        type: 'input',
        name: 'maxHeight',
        required: true,
        label: '高度限制',
        value: '',
      },

      {
        span: 24,
        type: 'number',
        name: 'maxCount',
        required: true,
        label: '最大容器数',
        value: '',
      },

      {
        span: 24,
        type: 'select',
        required: true,
        name: 'policy',
        label: '分配货位策略',
        value: 0,
        options: [
          {
            value: 0,
            label: '否',
          },
          {
            value: 1,
            label: '是',
          },
        ],
      },
      {
        span: 24,
        type: 'input',
        name: 'gcsArea',
        required: true,
        label: '跨层区域',
        value: '',
      },
      {
        span: 24,
        type: 'input',
        name: 'wmsAreaNo',
        required: true,
        label: 'WMS接口区域',
        value: '',
      },
      {
        span: 24,
        type: 'input',
        name: 'deviceSystem',
        required: true,
        label: '下游WCS系统',
        value: '',
      },
      {
        span: 24,
        type: 'textarea',
        name: 'remark',
        required: true,
        label: '备注',
        value: '',
      },
    ],
    Modelitemsupdate: [
      {
        span: 24,
        type: 'input',
        name: 'areaNo',
        required: true,
        label: '区域编号',
        value: '',
      },
      {
        span: 24,
        type: 'input',
        name: 'id',
        hidden: true,
        label: 'id',
        value: '',
      },
      {
        span: 24,
        type: 'select',
        name: 'areaType',
        label: '区域类别',
        options: [
          { label: '区域', value: 10 },
          { label: '接驳口', value: 20 },
        ],
        on: {
          change(value, label, options) {
            console.log(arguments)
            if (value == 10) {
              that.config.Modelitems = that.config.Modelitemsupdate1
            } else if (value == 20) {
              that.config.Modelitems = that.config.Modelitemsupdate
            }
          },
        },
        value: '',
      },
      {
        span: 24,
        type: 'input',
        name: 'gcsLocationNo',
        required: true,
        label: 'GCS点位',
        // rules: [
        //   {
        //     validator: function(rule, value, callback) {
        //       //   console.log(rule, value, callback)
        //       const pwdRegex = new RegExp(/[\u4E00-\u9FA5]/g)
        //       console.log(pwdRegex.test(value))
        //       if (pwdRegex.test(value)) {
        //         console.log(1122)
        //         callback(new Error('不能含有中文'))
        //       } else {
        //         callback()
        //       }
        //     },
        //     required: true
        //   }
        // ],
        value: '',
      },
      {
        span: 24,
        type: 'input',
        name: 'mcsLocationNo',
        required: true,
        label: 'MCS点位',
        // rules: [
        //   {
        //     validator: function(rule, value, callback) {
        //       //   console.log(rule, value, callback)
        //       const pwdRegex = new RegExp(/[\u4E00-\u9FA5]/g)
        //       console.log(pwdRegex.test(value))
        //       if (pwdRegex.test(value)) {
        //         console.log(1122)
        //         callback(new Error('不能含有中文'))
        //       } else {
        //         callback()
        //       }
        //     },
        //     required: true
        //   }
        // ],
        value: '',
      },

      {
        span: 24,
        type: 'input',
        name: 'rcsLocationNo',
        required: true,
        label: 'RCS点位',
        // rules: [
        //   {
        //     validator: function(rule, value, callback) {
        //       //   console.log(rule, value, callback)
        //       const pwdRegex = new RegExp(/[\u4E00-\u9FA5]/g)
        //       console.log(pwdRegex.test(value))
        //       if (pwdRegex.test(value)) {
        //         console.log(1122)
        //         callback(new Error('不能含有中文'))
        //       } else {
        //         callback()
        //       }
        //     },
        //     required: true
        //   }
        // ],
        value: '',
      },

      {
        span: 24,
        type: 'input',
        name: 'layer',
        required: true,
        label: '层',
        value: '',
      },

      {
        span: 24,
        type: 'input',
        name: 'x',
        required: true,
        label: 'X轴',
        value: '',
      },

      {
        span: 24,
        type: 'input',
        name: 'y',
        required: true,
        label: 'Y轴',
        value: '',
      },

      {
        span: 24,
        type: 'input',
        name: 'maxHeight',
        required: true,
        label: '高度限制',
        value: '',
      },

      {
        span: 24,
        type: 'number',
        name: 'maxCount',
        required: true,
        label: '最大容器数',
        value: '',
      },

      {
        span: 24,
        type: 'select',
        required: true,
        name: 'policy',
        label: '分配货位策略',
        value: 0,
        options: [
          {
            value: 0,
            label: '否',
          },
          {
            value: 1,
            label: '是',
          },
        ],
      },
      {
        span: 24,
        type: 'input',
        name: 'gcsArea',
        required: true,
        label: '跨层区域',
        value: '',
      },
      {
        span: 24,
        type: 'input',
        name: 'wmsAreaNo',
        required: true,
        label: 'WMS接口区域',
        value: '',
      },
      {
        span: 24,
        type: 'textarea',
        name: 'remark',
        required: true,
        label: '备注',
        value: '',
      },
    ],
  }
}

export default config
