import { remote } from '@/views/EIS/remote/index.js'
const baseUrl = '/api/service-ai-eis-business-center-eistest/'
const config = function (that) {
  return {
    remoteUrl: {
      url: baseUrl + 'outStg/get-out-stg',
      headers: {
        'Content-Type': 'application/JSON',
      },
      method: 'post',
    },
    items: [
      {
        span: 8,
        type: 'input',
        name: 'typeNo',
        label: '任务单类型编号',
        value: '',
      },
      {
        span: 8,
        type: 'input',
        name: 'typeName',
        label: '任务单类型名称',
        value: '',
      },
      {
        span: 8,
        type: 'select',
        name: 'outModel',
        label: '出库模式',
        value: '',
        ...remote('eis_out_stg_cfg_out_model'),
      },
      {
        span: 8,
        type: 'select',
        name: 'outType',
        // required: true,
        label: '出库类型',
        value: '',
        ...remote('outType'),
      },
      //   eis_out_stg_cfg_out_model
      {
        span: 24,
        type: 'buttonGroup',
        style: { textAlign: 'right' },
        options: [
          {
            value: '查询',
            icon: 'search',
            btnType: 'primary',
            style: 'margin-right:10px',
            htmlType: 'submit',
          },
          {
            value: '重置',
            icon: 'redo',
            style: 'margin-right:50px',
            on: {
              click: (event, form) => {
                console.log(form)
                form.resetFields()
              },
            },
          },
        ],
      },
    ],
    columns: [
      {
        dataIndex: 'typeNo',
        key: 'typeNo',
        align: 'center',
        title: '出库任务单类型编号',
      },
      {
        title: '出库任务单类型名称',
        dataIndex: 'typeName',
        align: 'center',
        key: 'typeName',
        customRender(text) {
          //   text == 10 && (text = '区域')
          //   text == 20 && (text = '接驳口')
          return text
        },
      },
      {
        dataIndex: 'outModel',
        key: 'outModel',
        align: 'center',
        title: '出库模式',
        ...remote('eis_out_stg_cfg_out_model'),
      },
      {
        dataIndex: 'outType',
        key: 'outType',
        align: 'center',
        title: '出库类型',
        ...remote('outType'),
      },

      {
        dataIndex: 'dispatchPriority',
        key: 'dispatchPriority',
        align: 'center',
        title: '调度优先级',
      },
      {
        dataIndex: 'maxOrderNum',
        key: 'maxOrderNum',
        align: 'center',
        title: '最大组单数量',
      },
      {
        dataIndex: 'maxOrderVolume',
        key: 'maxOrderVolume',
        align: 'center',
        title: '最大组单体积',
      },
      {
        dataIndex: 'storeMatchingStrategy',
        key: 'storeMatchingStrategy',
        align: 'center',
        title: '库存匹配策略',
        customRender(text) {
          text == 1 && (text = '按品种')
          text == 2 && (text = '按品批')
          return text
        },
      },
      {
        dataIndex: 'outboundExpiryDateRate',
        key: 'outboundExpiryDateRate',
        align: 'center',
        title: '优先出库最高时效百分比',
      },
      {
        dataIndex: 'prohibitExpiryDateRate',
        key: 'prohibitExpiryDateRate',
        align: 'center',
        title: '禁止出库最高时效百分比',
      },
      {
        dataIndex: 'clearStoreStrategy',
        key: 'clearStoreStrategy',
        align: 'center',
        title: '清库存策略',
        customRender(text) {
          text == 1 && (text = '是')
          text == 0 && (text = '否')
          return text
        },
      },
      {
        dataIndex: 'composeOrderConfig',
        key: 'composeOrderConfig',
        align: 'center',
        title: '组单策略配置',
      },
      {
        dataIndex: 'StartingArea',
        key: 'StartingArea',
        align: 'center',
        fixed: 'right',
        title: '源区域配置',
        scopedSlots: { customRender: 'StartingArea' },
      },
      {
        dataIndex: 'EndinggArea',
        key: 'EndinggArea',
        align: 'center',
        title: '目标区域配置',
        fixed: 'right',
        scopedSlots: { customRender: 'EndinggArea' },
      },
      {
        title: '操作',
        key: 'operation',
        scopedSlots: { customRender: 'operation' },
        width: 150,
        fixed: 'right',
        align: 'center',
      },
    ],
    Modelitems: [
      {
        span: 24,
        type: 'input',
        name: 'id',
        hidden: true,
        label: 'id',
        value: '',
      },
      {
        span: 24,
        type: 'input',
        name: 'typeNo',
        required: true,
        label: '出库任务单类型编号',
        value: '',
      },
      //   outType
      {
        span: 24,
        type: 'input',
        name: 'typeName',
        required: true,
        label: '出库任务单类型名称',
        value: '',
      },
      {
        span: 24,
        type: 'select',
        name: 'outType',
        required: true,
        label: '出库类型',
        value: '',
        ...remote('outType'),
      },
      {
        span: 24,
        type: 'select',
        name: 'outModel',
        required: true,
        ...remote('eis_out_stg_cfg_out_model'),
        label: '出库模式',
        value: '',
      },
      {
        span: 24,
        type: 'input',
        name: 'dispatchPriority',
        required: true,
        label: '调度优先级',
        value: '',
      },
      {
        span: 24,
        type: 'input',
        name: 'maxOrderNum',
        required: true,
        label: '最大组单数量',
        value: '',
      },
      {
        span: 24,
        type: 'input',
        name: 'maxOrderVolume',
        required: true,
        label: '最大组单体积',
        value: '',
      },
      {
        span: 24,
        type: 'select',
        name: 'storeMatchingStrategy',
        required: true,
        label: '库存匹配策略',
        options: [
          { value: 1, label: '按品种' },
          { value: 2, label: '按品批' },
        ],
        value: 1,
      },
      {
        span: 24,
        type: 'input',
        name: 'outboundExpiryDateRate',
        required: true,
        label: '优先出库最高时效百分比',
        value: '',
      },
      {
        span: 24,
        type: 'input',
        name: 'prohibitExpiryDateRate',
        required: true,
        label: '禁止出库最高时效百分比',
        value: '',
      },
      {
        span: 24,
        type: 'select',
        name: 'clearStoreStrategy',
        required: true,
        label: '清库存策略',
        value: 0,
        options: [
          { value: 0, label: '否' },
          { value: 1, label: '是' },
        ],
      },
      {
        span: 24,
        type: 'input',
        name: 'composeOrderConfig',
        required: true,
        label: '组单策略配置',
        value: '',
      },
    ],
    details: {
      currentArea: '当前节点区域',
      nextArea: '下个节点区域',
      routeTaskState: '任务状态',
      routeExecuteState: '执行状态',
      currentLocation: '当前节点点位',
      nextLocation: '下个节点点位',
      deviceTask_id: '设备任务ID',
      deviceNo: '执行设备编号',
      arriveTime: '到位时间',
      errorMsg: '错误消息',
      updateTime: '修改时间',
    },
    // Modelitemsupdate1: [
    //   {
    //     span: 24,
    //     type: 'input',
    //     name: 'areaNo',
    //     required: true,
    //     label: ' 容器任务单类型编号',
    //     value: ''
    //   },
    //   {
    //     span: 24,
    //     type: 'input',
    //     name: 'id',
    //     hidden: true,
    //     label: 'id',
    //     value: ''
    //   },
    //   {
    //     span: 24,
    //     type: 'input',
    //     name: 'areaType',
    //     required: true,
    //     label: '容器任务单类型名称',
    //     value: ''
    //   }
    // ],
    // Modelitemsupdate: [
    //   {
    //     span: 24,
    //     type: 'input',
    //     name: 'areaNo',
    //     required: true,
    //     label: '区域编号',
    //     value: ''
    //   },
    //   {
    //     span: 24,
    //     type: 'input',
    //     name: 'id',
    //     hidden: true,
    //     label: 'id',
    //     value: ''
    //   },
    //   {
    //     span: 24,
    //     type: 'select',
    //     name: 'areaType',
    //     label: '区域类别',
    //     options: [
    //       { label: '区域', value: 10 },
    //       { label: '接驳口', value: 20 }
    //     ],
    //     on: {
    //       change(value, label, options) {
    //         console.log(arguments)
    //         if (value == 10) {
    //           that.config.Modelitems = that.config.Modelitemsupdate1
    //         } else if (value == 20) {
    //           that.config.Modelitems = that.config.Modelitemsupdate
    //         }
    //       }
    //     },
    //     value: ''
    //   },
    //   {
    //     span: 24,
    //     type: 'input',
    //     name: 'gcsLocationNo',
    //     required: true,
    //     label: 'GCS点位',
    //     // rules: [
    //     //   {
    //     //     validator: function(rule, value, callback) {
    //     //       //   console.log(rule, value, callback)
    //     //       const pwdRegex = new RegExp(/[\u4E00-\u9FA5]/g)
    //     //       console.log(pwdRegex.test(value))
    //     //       if (pwdRegex.test(value)) {
    //     //         console.log(1122)
    //     //         callback(new Error('不能含有中文'))
    //     //       } else {
    //     //         callback()
    //     //       }
    //     //     },
    //     //     required: true
    //     //   }
    //     // ],
    //     value: ''
    //   },
    //   {
    //     span: 24,
    //     type: 'input',
    //     name: 'mcsLocationNo',
    //     required: true,
    //     label: 'MCS点位',
    //     // rules: [
    //     //   {
    //     //     validator: function(rule, value, callback) {
    //     //       //   console.log(rule, value, callback)
    //     //       const pwdRegex = new RegExp(/[\u4E00-\u9FA5]/g)
    //     //       console.log(pwdRegex.test(value))
    //     //       if (pwdRegex.test(value)) {
    //     //         console.log(1122)
    //     //         callback(new Error('不能含有中文'))
    //     //       } else {
    //     //         callback()
    //     //       }
    //     //     },
    //     //     required: true
    //     //   }
    //     // ],
    //     value: ''
    //   },

    //   {
    //     span: 24,
    //     type: 'input',
    //     name: 'rcsLocationNo',
    //     required: true,
    //     label: 'RCS点位',
    //     // rules: [
    //     //   {
    //     //     validator: function(rule, value, callback) {
    //     //       //   console.log(rule, value, callback)
    //     //       const pwdRegex = new RegExp(/[\u4E00-\u9FA5]/g)
    //     //       console.log(pwdRegex.test(value))
    //     //       if (pwdRegex.test(value)) {
    //     //         console.log(1122)
    //     //         callback(new Error('不能含有中文'))
    //     //       } else {
    //     //         callback()
    //     //       }
    //     //     },
    //     //     required: true
    //     //   }
    //     // ],
    //     value: ''
    //   },

    //   {
    //     span: 24,
    //     type: 'input',
    //     name: 'layer',
    //     required: true,
    //     label: '层',
    //     value: ''
    //   },

    //   {
    //     span: 24,
    //     type: 'input',
    //     name: 'x',
    //     required: true,
    //     label: 'X轴',
    //     value: ''
    //   },

    //   {
    //     span: 24,
    //     type: 'input',
    //     name: 'y',
    //     required: true,
    //     label: 'Y轴',
    //     value: ''
    //   },

    //   {
    //     span: 24,
    //     type: 'input',
    //     name: 'maxHeight',
    //     required: true,
    //     label: '高度限制',
    //     value: ''
    //   },

    //   {
    //     span: 24,
    //     type: 'number',
    //     name: 'maxCount',
    //     required: true,
    //     label: '最大容器数',
    //     value: ''
    //   },

    //   {
    //     span: 24,
    //     type: 'select',
    //     required: true,
    //     name: 'policy',
    //     label: '分配货位策略',
    //     value: 0,
    //     options: [
    //       {
    //         value: 0,
    //         label: '否'
    //       },
    //       {
    //         value: 1,
    //         label: '是'
    //       }
    //     ]
    //   },
    //   {
    //     span: 24,
    //     type: 'input',
    //     name: 'gcsArea',
    //     required: true,
    //     label: '跨层区域',
    //     value: ''
    //   },
    //   {
    //     span: 24,
    //     type: 'input',
    //     name: 'wmsAreaNo',
    //     required: true,
    //     label: 'WMS接口区域',
    //     value: ''
    //   },
    //   {
    //     span: 24,
    //     type: 'textarea',
    //     name: 'remark',
    //     required: true,
    //     label: '备注',
    //     value: ''
    //   }
    // ]
  }
}

export default config
