import {
  remote
} from '@/views/EIS/remote/index.js'

const baseUrl = '/api/eis-lppz2-main-service'
const config = {
  remoteUrl: {
    url: baseUrl + '/api/v1/eis/main/findItemPage',
    headers: {
      'Content-Type': 'application/JSON'
    },
    method: 'get',
  },
  items: [{
      span: 8,
      type: 'input',
      name: 'goodsName',
      label: '商品名称',
      value: ''
    },
    {
      span: 8,
      type: 'input',
      name: 'barCode',
      label: '包装条码',
      value: ''
    },{
      span: 8,
      type: 'input',
      name: 'fourABC',
      label: '4L-ABC',
      value: ''
    },{
      span: 8,
      type: 'input',
      name: 'fourABC',
      label: '5L-ABC',
      value: ''
    }, {
      span: 8,
      type: 'buttonGroup',
      style: {
        textAlign: 'left'
      },
      options: [ {
          value: '查询',
          icon: 'search',
          btnType: 'primary',
          style: 'margin-right:10px',
          htmlType: 'submit'
        },
        {
          value: '重置',
          icon: 'redo',
          on: {
            click: (event, form) => {
              console.log(form)
              form.resetFields()
            }
          }
        }
      ]
    }
  ],
  columns: [{
    title: '商品编码',
    dataIndex: 'itemCode',
    width: 100,
    align: 'center',
    key: 'itemCode'
  }, {
    title: '商品名称',
    dataIndex: 'itemName',
    align: 'center',
    key: 'itemName'
  }, {
    title: '商品条码',
    dataIndex: 'itemBarCode',
    align: 'center',
    key: 'itemBarCode'
  }, {
    title: '4楼abc分类',
    dataIndex: 'abcClassify',
    align: 'center',
    key: 'abcClassify'
  }, {
    title: '5楼abc分类',
    dataIndex: 'abcClassify5l',
    align: 'center',
    key: 'abcClassify5l'
  }, {
    title: '4楼ewm区域',
    dataIndex: 'ewmArea4l',
    align: 'center',
    key: 'ewmArea4l'
  }, {
    title: '4楼ewm子区域',
    dataIndex: 'ewmSubArea4l',
    align: 'center',
    key: 'ewmSubArea4l'
  }, {
    title: '5楼ewm区域',
    dataIndex: 'ewmArea5l',
    align: 'center',
    key: 'ewmArea5l'
  }, {
    title: '5楼ewm子区域',
    dataIndex: 'ewmSubArea5l',
    align: 'center',
    key: 'ewmSubArea5l'
  }, {
    title: '商品属性',
    dataIndex: 'itemAttribute',
    align: 'center',
    key: 'itemAttribute'
  }]
}


export default config
