import {
  remote
} from '@/views/EIS/remote/index.js'
const baseUrl = ''
const config = {
  remoteUrl: {
    url: baseUrl + '',
    headers: {
      'Content-Type': 'application/JSON'
    },
    method: 'post',
  },
  items: [{
    span: 8,
    type: 'input',
    name: 'latticeNo',
    label: '道口号',
    value: ''
  },{
    span: 8,
    type: 'input',
    name: 'faceNo',
    label: '面单号',
    value: ''
  },{
    span: 8,
    type: 'input',
    name: 'orderNo',
    label: '订单号',
    value: ''
  },{
    span: 8,
    type: 'select',
    name: 'ewmStatus',
    label: '回告状态',
    value: '',  
       options: [
        { label: '未回告', value: 0 },
        { label: '已回告', value: 1 }
      ]
  }, {
      span: 8,
      type: 'buttonGroup',
      style: {
        textAlign: 'left'
      },
      options: [ {
          value: '查询',
          icon: 'search',
          btnType: 'primary',
          style: 'margin-right:10px',
          htmlType: 'submit'
        },
        {
          value: '重置',
          icon: 'redo',
          on: {
            click: (event, form) => {
              console.log(form)
              form.resetFields()
            }
          }
        }
      ]
    }
  ],
  columns: [{
    dataIndex: 'latticeNo',
    key: 'latticeNo',
    align: 'center',
    ellipsis: true,
    title: '分拨道口'
  }, {
    dataIndex: 'faceNo',
    key: 'faceNo',
    align: 'center',
    ellipsis: true,
    title: '面单号'
  }, {
    dataIndex: 'orderNo',
    key: 'orderNo',
    align: 'center',
    ellipsis: true,
    title: '订单号'
  }, {
    dataIndex: 'taskIssueDate',
    key: 'taskIssueDate',
    align: 'center',
    ellipsis: true,
    title: '下发时间'
  }, {
    dataIndex: 'scanDate',
    key: 'scanDate',
    align: 'center',
    ellipsis: true,
    title: '扫描时间'
  }, {
    dataIndex: 'fallLatticeDate',
    key: 'fallLatticeDate',
    align: 'center',
    ellipsis: true,
    title: '落格时间'
  }, {
    dataIndex: 'ewmStatus',
    key: 'ewmStatus',
    align: 'center',
    ellipsis: true,
    title: '回告状态',
    customRender(text) {
      text == 0 && (text = '未回告')
      text == 1 && (text = '已回告')
      return text
    }
  }, {
    dataIndex: 'scanStatus',
    key: 'scanStatus',
    align: 'center',
    ellipsis: true,
    title: '扫描状态',
    customRender(text) {
      text == 0 && (text = '未扫描')
      text == 1 && (text = '已扫描')
      return text
    }
  }, {
    dataIndex: 'logeStatus',
    key: 'logeStatus',
    align: 'center',
    ellipsis: true,
    title: '落格状态',
    customRender(text) {
      text == 0 && (text = '未落格')
      text == 1 && (text = '已落格')
      return text
    }
  }, {
    dataIndex: 'discStatus',
    key: 'discStatus',
    align: 'center',
    ellipsis: true,
    title: '码盘状态',
    customRender(text) {
      text == 0 && (text = '未码盘')
      text == 1 && (text = '已码盘')
      return text
    }
  }, {
    dataIndex: 'abnormalStatus',
    key: 'abnormalStatus',
    align: 'center',
    ellipsis: false,
    title: '是否去异常口',
    customRender(text) {
      text == 0 && (text = '没有')
      text == 1 && (text = '已去')
      return text
    }
  }, {
    dataIndex: 'interceptStatus',
    key: 'interceptStatus',
    align: 'center',
    ellipsis: false,
    title: '是否需要拦截',
    customRender(text) {
      text == 0 && (text = '否')
      text == 1 && (text = '是')
      return text
    }
  }]
}
export default config

