let grid = {
  span: 6,
  labelCol: {
    span: 8,
  },
}

const remoteUrl = {
  url: '/api/eis-xty-master/api/v1/inventory/task/page',
  headers: {
    'Content-Type': 'application/JSON',
  },
  method: 'post',
}

const items = function (self) {
  return [
    {
      type: 'input',
      name: 'goodsCode',
      label: '物料编码',
      ...grid,
    },
    {
      type: 'input',
      name: 'lotId',
      label: '批号',
      ...grid,
    },
    {
      type: 'input',
      name: 'areaNo',
      label: '巷道',
      ...grid,
    },
    {
      type: 'number',
      name: 'Layer',
      label: '楼层',
      ...grid,
    },
    {
      type: 'number',
      name: 'x',
      label: '排',
      ...grid,
    },
    {
      type: 'number',
      name: 'y',
      label: '列',
      ...grid,
    },

    {
      type: 'select',
      name: 'taskType',
      label: '状态',
      ...grid,
      options: [
        { value: 0, label: '空闲' },
        { value: 15, label: '盘点回库' },
        { value: 32, label: '盘点到位' },
        { value: 23, label: '盘点出库' },
        { value: 31, label: '待盘点' },
      ],
      value: 0,
    },

    {
      type: 'select',
      name: 'isLock',
      label: '货位组锁定',
      ...grid,
      options: [
        { value: 1, label: '是' },
        { value: 0, label: '否' },
      ],
      value: 0,
    },

    {
      ...grid,
      type: 'buttonGroup',
      style: {
        textAlign: 'right',
      },
      options: [
        {
          value: '查询',
          icon: 'search',
          btnType: 'primary',
          style: 'margin-left:50px;margin-right:10px;',
          htmlType: 'submit',
        },
        {
          value: '重置',
          name: 'ccz',
          icon: 'redo',
          on: {
            click(event, form) {
              form.resetFields()
            },
          },
        },
      ],
    },
  ]
}
const columns = [
  {
    dataIndex: 'containerNo',
    title: '托盘号',
    align: 'center',
    width: 150,
    ellipsis: true,
  },
  {
    dataIndex: 'goodsCode',
    title: '物料编码',
    align: 'center',
    width: 150,
    // customRender: (text) => {
    //   var a = ''
    //   if (text == 0) {
    //     a = 'eis内部创建'
    //   }
    //   if (text == 1) {
    //     a = 'wms下发'
    //   }
    //   return a
    // },
  },
  {
    dataIndex: 'chineseName',
    title: '物料名称',
    align: 'center',
    width: 150,
    // customRender: (text) => {
    //   var a = ''
    //   if (text == 1) {
    //     a = '原材料吨包入库'
    //   }
    //   if (text == 2) {
    //     a = '成品人工入库'
    //   }
    //   if (text == 3) {
    //     a = '移库入库'
    //   }
    //   if (text == 4) {
    //     a = '机械手码垛入库'
    //   }
    //   if (text == 5) {
    //     a = '余料回库'
    //   }
    //   if (text == 6) {
    //     a = '耗材补给入库'
    //   }
    //   if (text == 9) {
    //     a = '空托入库'
    //   }
    //   return a
    // },
  },
  {
    dataIndex: 'lotId',
    title: '批号',
    align: 'center',
    width: 150,
    ellipsis: true,
  },
  {
    dataIndex: 'areaNo',
    title: '巷道',
    align: 'center',
    width: 150,
    // customRender: (text) => {
    //   var a = ''
    //   if (text == 1) {
    //     a = '有物料的托盘'
    //   }
    //   if (text == -1) {
    //     a = '塑料空托盘'
    //   }
    //   if (text == -2) {
    //     a = '木空托盘'
    //   }
    //   return a
    // },
  },
  {
    dataIndex: 'Layer',
    title: '楼层',
    align: 'center',
    width: 150,
    // customRender: (text) => {
    //   var a = ''
    //   if (text == 0) {
    //     a = 'wms下发'
    //   }
    //   if (text == 10) {
    //     a = '开始入库'
    //   }
    //   if (text == 90) {
    //     a = '执行完成'
    //   }
    //   if (text == 92) {
    //     a = '取消或关闭'
    //   }
    //   if (text == 100) {
    //     a = '上报wms完成'
    //   }
    //   return a
    // },
  },
  {
    dataIndex: 'x',
    title: '排',
    align: 'center',
    width: 150,
    ellipsis: true,
  },
  {
    dataIndex: 'y',
    title: '列',
    align: 'center',
    width: 150,
    ellipsis: true,
  },
  {
    dataIndex: 'taskType',
    title: '状态',
    align: 'center',
    width: 200,
    ellipsis: true,
    customRender: (text) => {
      text == 0 && (text = '空闲')
      text == 15 && (text = '盘点回库')
      text == 32 && (text = '盘点到位')
      text == 23 && (text = '盘点出库')
      text == 31 && (text = '待盘点')

      return text
    },
  },
  {
    dataIndex: 'isLock',
    title: '货位组锁定',
    align: 'center',
    width: 150,
    ellipsis: true,
    customRender: (text) => {
      text == 0 && (text = '否')
      text == 1 && (text = '是')
      return text
    },
  },
  {
    dataIndex: 'inventoryTaskId',
    title: '任务号',
    align: 'center',
    width: 150,
    ellipsis: true,
  },
  {
    dataIndex: 'numberOfDifferences',
    title: '实盘数量',
    align: 'center',
    width: 150,
  },

  //   {
  //     dataIndex: 'action',
  //     title: '操作',
  //     scopedSlots: { customRender: 'action' },
  //     fixed: 'right',
  //     align: 'center',
  //     width: 150,
  //   },
]

export { items, columns, remoteUrl }
