const config = {
  remoteUrl: {
    url: '/master/eisInterfaceLogService/log/interface',
    headers: {
      'Content-Type': 'application/JSON'
    },
    method: 'post'
  },
  items: [
    {
      span: 8,
      type: 'input',
      name: 'method',
      label: '接口方法',
      value: ''
    },
    {
      span: 8,
      type: 'input',
      name: 'url',
      label: '接口url',
      value: ''
    },
    {
      span: 8,
      type: 'row',
      label: '操作时间',
      list: [
        {
          type: 'date',
          name: 'startTime',
          placeholder: '请输入开始日期',
          value: '',
          format: 'YYYY-MM-DD HH:mm:ss',
          style: 'padding-right:5px;'
        },
        {
          type: 'date',
          name: 'endTime',
          placeholder: '请输入结束日期',
          format: 'YYYY-MM-DD HH:mm:ss',
          value: ''
        }
      ]
    },
    {
      span: 24,
      type: 'buttonGroup',
      style: { textAlign: 'right' },
      options: [
        {
          value: '查询',
          icon: 'search',
          btnType: 'primary',
          style: 'margin-right:10px',
          htmlType: 'submit'
        },
        {
          value: '重置',
          icon: 'redo',
          style: 'margin-right:50px',
          on: {
            click: (event, form) => {
              console.log(form)
              form.resetFields()
            }
          }
        }
      ]
    }
  ],
  columns: [
    {
      dataIndex: 'method',
      key: 'method',
      align: 'center',
      title: '接口方法'
    },
    {
      title: '接口url',
      dataIndex: 'url',
      align: 'center',
      key: 'url'
    },
    {
      title: '请求参数',
      dataIndex: 'data',
      align: 'center',
      key: 'data'
      //   customRender(text) {
      //     text == 1 && (text = '出库口')
      //     text == 2 && (text = '在线拣选')
      //     return text
      //   }
    },
    {
      title: '返回参数',
      key: 'returnValue',
      dataIndex: 'returnValue',
      align: 'center'
      //   customRender(text) {
      //     text == 1 && (text = '存储位')
      //     text == 2 && (text = '工作位')
      //     text == 3 && (text = '输送线点位')
      //     return text
      //   }
    },
    {
      title: '操作用户',
      dataIndex: 'userid',
      align: 'center',
      key: 'userid'
    },
    {
      title: '访问IP',
      dataIndex: 'ip',
      align: 'center',
      key: 'ip'
    },
    {
      title: '操作时间',
      dataIndex: 'createTime',
      align: 'center',
      key: 'createTime'
    }
  ],
  Modelitems: [
    {
      span: 24,
      type: 'input',
      name: 'stationNo',
      required: true,
      label: '站台编号',
      value: ''
    },
    {
      span: 24,
      type: 'input',
      name: 'id',
      hidden: true,
      label: 'id',
      value: ''
    },
    {
      span: 24,
      type: 'input',
      hidden: true,
      name: 'createTime',
      label: 'createTime',
      value: ''
    },
    {
      span: 24,
      type: 'input',
      name: 'areaNo',
      required: true,
      label: '站台区域',
      value: ''
    },

    {
      span: 24,
      type: 'select',
      required: true,
      name: 'type',
      label: '站台类型',
      value: 1,
      options: [
        { label: '出库口', value: 1 },
        { label: '在线拣选', value: 2 }
      ]
    },
    {
      span: 24,
      type: 'radio',
      required: true,
      name: 'isLock',
      label: '是否锁定',
      value: 0,
      options: [
        {
          value: 0,
          label: '开启'
        },
        {
          value: 1,
          label: '关闭'
        }
      ]
    },
    {
      span: 24,
      type: 'radio',
      name: 'claim',
      required: true,
      label: '是否索取',
      value: 1,
      options: [
        {
          value: 0,
          label: '不索取'
        },
        {
          value: 1,
          label: '索取'
        }
      ]
    }
  ],
  details: {
    currentArea: '当前节点区域',
    nextArea: '下个节点区域',
    routeTaskState: '任务状态',
    routeExecuteState: '执行状态',
    currentLocation: '当前节点点位',
    nextLocation: '下个节点点位',
    deviceTask_id: '设备任务ID',
    deviceNo: '执行设备编号',
    arriveTime: '到位时间',
    errorMsg: '错误消息',
    updateTime: '修改时间'
  }
}
export default config
