import {
  genWarehouseAuthSearchModal,
  genCargoownerAuthSearchModal,
} from '@/views/kzyWMS/SearchModal'
import API from '../../api/default'

const items = function(self) {
  let grid = {
    span: 8
  }
  return [
    ...genWarehouseAuthSearchModal(
      1,
      true,
      false,
      null,
      (modalRowData, form) => {
        console.log(modalRowData, form, 'modalRowData,formmodalRowData,form')
        if (modalRowData) {
          self.remoteParams.warehouseId = modalRowData[0].warehouseId ? modalRowData[0].warehouseId : modalRowData[0].companyId
        } else {
          self.remoteParams.warehouseId = ''
        }
      },
      grid
    ),
    ...genCargoownerAuthSearchModal(1, true, false, null, null, grid),
    // {
    //   dataIndex: 'itemCode',
    //   title: '商品编码',
    //   label:'商品编码',
    //   type: 'search',
    //   width: 150,
    //   modalWidth:'70%',
    //   required: true,
    //   toolBar: {
    //     items: [
    //       {
    //         type: 'input',
    //         name: 'itemCode',
    //         label: '商品编码',
    //         span: 8,
    //         value: ''
    //       },
    //       {
    //         type: 'input',
    //         name: 'itemAssistantCode',
    //         label: '助记码',
    //         span: 8,
    //         value: ''
    //       }
    //     ]
    //   },
    //   tableConfig: {
    //     rowKey: 'itemId',
    //     remoteUrl: res => {
    //       return {
    //         ...API.batchNum
    //       }
    //     },
    //     columns: [
    //       {
    //         hidden: true,
    //         dataIndex: 'itemId',
    //         title: '商品id',
    //         key: 'itemId'
    //       },
    //       {
    //         dataIndex: 'itemCode',
    //         title: '商品编码',
    //         key: 'itemCode'
    //       },
    //       {
    //         dataIndex: 'itemAssistantCode',
    //         title: '助记码',
    //         key: 'itemAssistantCode'
    //       },
    //       {
    //         dataIndex: 'itemName',
    //         title: '商品名称',
    //         key: 'itemName'
    //       },
    //       {
    //         dataIndex: 'manufacturerName',
    //         title: '生产厂家',
    //         key: 'manufacturerName'
    //       }
    //     ]
    //   },
    //   relatedQuery: [
    //     {
    //       key: 'warehouseId', target: 'warehouseId', transform(val) {
    //         let refMain = self.queryRefFromName('main')
    //         let values = refMain.form.getFieldsValue()
    //         return values.warehouseId
    //       }
    //     },{
    //       key: 'cargoOwnerId', target: 'cargoOwnerId', transform(val) {
    //         let refMain = self.queryRefFromName('main')
    //         let values = refMain.form.getFieldsValue()
    //         return values.cargoOwnerId
    //       }
    //     }
    //   ],
    // },
    { type: 'input', name: 'warehouseWorkerId', label: '操作员Id', hidden: true },
    { type: 'input', name: 'warehouseWorkerName', label: '操作员',disabled: true},
    {
      type: "date",
      name: "today",
      label: "单据日期",
      disabled:true,
      placeholder: "请输入开始日期",
      value: "",
      format: "YYYY-MM-DD",
    },
  ]
}
const columns = function(self) {
  return [
    { dataIndex: 'itemId', title: '商品Id', key: 'itemId', hidden: true },
    { dataIndex: 'batchId', title: '批次Id', key: 'batchId', hidden: true },
    { dataIndex: 'batchNum', title: '批次号', key: 'batchNum', hidden: true },
    // { dataIndex: 'pieceBarcode', title: '商品条码', key: 'pieceBarcode' },
    { dataIndex: 'warehouseName', title: '仓库名称', key: 'warehouseName', width:80 },
    { dataIndex: 'cargoOwnerName', title: '货主名称', key: 'cargoOwnerName', width:80 },
    { dataIndex: 'code', title: '单据编号', key: 'code', width:80 },
    { dataIndex: 'gmtCreate', title: '单据时间', key: 'gmtCreate', width:80 },
    { dataIndex: 'itemCode', title: '商品编码', key: 'itemCode', width:80 },
    { dataIndex: 'itemName', title: '商品名称', key: 'itemName', width:160 },
    { dataIndex: 'specification', title: '商品规格', key: 'specification', width:100 },
    { dataIndex: 'conversionRate', title: '包装数量', key: 'conversionRate',  width:80 },
    { dataIndex: 'uom', title: '包装单位', key: 'uom', width: 80 },
    { dataIndex: 'rqcComments', title: '检验情况', key: 'rqcComments', width: 80 },
    { dataIndex: 'comments', title: '处理意见', key: 'comments', width: 80 },
    {
      type: 'select',
      dataIndex: 'wmsStatus',
      title: 'WMS库存状态',
      autoLoad:true,
      remoteUrl: API.remoteUrlFun('wms_invstatus'),
      required:true,
      replaceFields: {
        label: 'dictName',
        value: 'dictCode'
      },
      relatedClean: ['erpStatus',],
    },
    {
      type: 'select',
      dataIndex: 'erpStatus',
      title: 'ERP库存状态',
      destroyOptions: true,
      required:true,
      remoteUrl: API.relationOwnerStockStatus,
      replaceFields: {
        label: 'subStatusName',
        value: 'subStatusCode'
      },
      relatedQuery: [
        { key: 'wmsStatus', target: 'status' },
        { key: 'cargoOwnerId', target: 'cargoOwnerId' },
        { key: 'warehouseId', target: 'warehouseId' },
      ],
      disabled: [
        {
          $value: false,
          $match: [
            { key: 'wmsStatus', value: '${*}' }
          ]
        },
        { $value: true }
      ],
    },
    { dataIndex: 'warehouseLocatorCode', title: '货位', key: 'warehouseLocatorCode', width: 100 },
    { dataIndex: 'manufacturerLotNum', title: '批号', key: 'manufacturerLotNum', width: 80 },
    { dataIndex: 'batchProductionDateShow', title: '生产日期', key: 'batchProductionDateShow', width: 100 },
    { dataIndex: 'batchExpiredDateShow', title: '有效期至', key: 'batchExpiredDateShow', width: 100 },
    { dataIndex: 'quantity', title: '数量', key: 'quantity', width: 80 },
    { dataIndex: 'oddCaseQuantity', title: '件数', key: 'oddCaseQuantity', width: 80 },
    { dataIndex: 'oddPieceQuantity', title: '零散数', key: 'oddPieceQuantity', width: 80 },
    { dataIndex: 'creatorName', title: '锁定人', key: 'creatorName', width: 80 },
    { dataIndex: 'countryOriginId', title: '产地', key: 'countryOriginId', width: 300 },
    { dataIndex: 'manufacturerId', title: '生产厂家', key: 'manufacturerId', width: 200 },
  ]
}

export function detailConfig(self) {
  return [
    {
      key: 'one',
      checkedKey: 'main',
      btns: [
        {
          label: '查询',
          click() {
            self.queryDetailList()
            // let refMain = self.queryRefFromName('main')
            // let ref = self.queryRefFromName('baseMtlItemUomConversionsList')
            // refMain.form.enableItem(['warehouseName', 'cargoOwnerName'])
            // // refMain.form.resetFields()
            // refMain.form.setFieldsValue({
            //   warehouseName: '',
            //   cargoOwnerId: '',
            //   cargoOwnerName: '',
            // })
            // ref.delItems() // 删除附表信息
          }
        },
        {
          label: '重置',
          click() {
            let refMain = self.queryRefFromName('main')
            let ref = self.queryRefFromName('baseMtlItemUomConversionsList')
            refMain.form.enableItem(['warehouseName', 'cargoOwnerName'])
            // refMain.form.resetFields()
            refMain.form.setFieldsValue({
              warehouseName: '',
              cargoOwnerId: '',
              cargoOwnerName: '',
            })
          }
        },
        {
          label: '申请提交',
          click() {
            let ref = self.queryRefFromName('baseMtlItemUomConversionsList')
            self.saveData(ref.getFieldsValue(true))
          }
        }
      ],
      list: [
        {
          key: 'main',
          tab: '主要信息',
          btns: [],
          item: { type: 'p-grid-form', config: items(self) }
        },
      ]
    },
    {
      key: 'two',
      checkedKey: 'baseMtlItemUomConversionsList',
      list: [
        {
          key: 'baseMtlItemUomConversionsList',
          tab: '锁定明细',
          btns: [
            // {
            //   label: '提取库存',
            //   click() {
            //     // let ref = self.queryRefFromName('baseMtlItemUomConversionsList')
            //     self.visible = true
            //     // let refMain = self.queryRefFromName('main')
            //     // let formsVal = refMain.form.getFieldsValue()
            //     // if (!formsVal.warehouseId) return self.$message.warn('请选择仓库')
            //     // if (!formsVal.cargoOwnerId) return self.$message.warn('请选择货主')
            //     // ref.addItem() // 新增
            //     // // self.formsVal = formsVal  disabled
            //     // refMain.form.disableItem(['warehouseName', 'cargoOwnerName', ])
            //   }
            // },
            // {
            //   label: '删除',
            //   click() {
            //     self.$confirm({
            //       content: self.$lang('确定删除?'),
            //       onOk: () => {
            //         let ref = self.queryRefFromName('baseMtlItemUomConversionsList')
            //         ref.delSelectedItems()
            //       }
            //     })
            //   }
            // }
          ],
          item: {
            type: 'p-table-sheet',
            config: columns(self),
            rowKey: '_row_count',
            rowSelectType: 2,
            colChange({ record, name, value, index }) {
            }
          }
        }
      ]
    }
  ]
}
