export const columns = function (self) {
    return [
        {
            hidden: true,
            title: 'workId',
            dataIndex: 'workId',
            key: 'workId',
        },
        {
            title: '人员姓名',
            dataIndex: 'personName',
            key: 'personName',
            width: 150,
            ellipsis: true,
        },
        {
            title: '工号',
            dataIndex: 'workercode',
            ellipsis: true,
            width: 150,
            key: 'workercode'
        },
        {
            title: '优先级',
            dataIndex: 'priority',
            ellipsis: true,
            width: 100,
            key: 'priority'
        },
        {
            title: '商品大类',
            dataIndex: 'itemCategoryCodes',
            ellipsis: true,
            key: 'itemCategoryCodes',
            customRender(text) {
                if (text) {
                    let arr = text.split(',').map(t => {
                        let item = self.tableData1.find(tt => tt.dictCode == t);
                        return !!item ? item.dictName : t;
                    })
                    return arr.join(',');
                }
                return '';
            }
        },
        {
            title: '是否启用',
            dataIndex: 'isEnable',
            ellipsis: true,
            key: 'isEnable',
            width: 100,
            customRender(text) {
                return text == '0' ? '禁用' : '启用';
            }
        },
        {
            title: '作业台',
            dataIndex: 'stations',
            ellipsis: true,
            key: 'stations'
        },
        {
            title: '操作',
            dataIndex: 'operator',
            key: 'operator',
            fixed: 'right',
            width: 100,
            scopedSlots: { customRender: 'operator' }
        }
    ]
};
