let grid = {
  labelCol: { span: 8 },
  wrapperCol: { span: 16 },
  span: 6
};

export const basicData = function (self) {
  return [
    { hidden: true, type: "input", name: "rqcHeaderId", label: "rqcHeaderId", value: "", },
    { hidden: true, type: "input", name: "rcvHeaderId", label: "rcvHeaderId", value: "", },
    { hidden: true, type: "input", name: "warehouseId", label: "warehouseId", value: "", },
    { hidden: true, type: "input", name: "enterpriseId", label: "企业id", value: "", },
    { hidden: true, type: "input", name: "mtlOwnerId", label: "货主id", value: "", },
    { hidden: true, type: "input", name: "vendorId", label: "供应商id", value: "", },
    { hidden: true, type: "input", name: "rcvType", label: "入库类型", value: "", },
    {
      type: "input", name: "rcvNo", label: "收货单号", value: "",
      disabled: true,
      ...grid
    },
    {
      type: "input", name: "mtlOwnerName", label: "货主", value: "",
      disabled: true,
      ...grid
    },
    {
      type: "input", name: "asnHeaderId", label: "单据ID", value: "",
      disabled: true,
      ...grid
    },
    {
      type: "input", name: "asnAutoBillNum", label: "单据编号", value: "",
      disabled: true,
      ...grid
    },
    {
      type: "input", name: "vendorName", label: "供应商", value: "",
      disabled: true,
      ...grid
    },
    {
      type: "input", name: "department", label: "部门", value: "",
      disabled: true,
      ...grid
    },
    {
      type: "input", name: "buyerMane", label: "采购员", value: "",
      disabled: true,
      ...grid
    },
    {
      type: "input", name: "needDept", label: "要货部门", value: "",
      disabled: true,
      ...grid
    },
    {
      type: "input", name: "needUser", label: "要货业务员", value: "",
      disabled: true,
      ...grid
    },
    {
      type: "date", name: "rcvDate", label: "收货日期",
      format: 'YYYY-MM-DD HH:mm:ss', value: "",showTime: true,
      disabled: true,
      ...grid
    },
    {
      type: "input", name: "agent", label: "代理商", value: "",
      disabled: true,
      ...grid
    },
    {
      type: "input", name: "rcvUser", label: "收货员", value: "",
      disabled: true,
      ...grid
    },
    {
      type: "input", name: "rqcUser", label: "当前验收员", value: "",
      disabled: true,
      ...grid
    },
    // {
    //   type: "input", name: "specification", label: "商品规格", value: "",
    //   disabled: true,
    //   ...grid
    // },
    // {
    //   type: "input", name: "uom", label: "包装单位", value: "",
    //   disabled: true,
    //   ...grid
    // },
    {
      type: "radio",
      name: "isInstockPrint",
      label: "是否打印",
      value: "1",
      options: [
        { label: "是", value: "1" },
        { label: "否", value: "0" },
      ],
      ...grid
    },
    { type: "input", name: "rcvRemark", label: "收货备注", value: "", disabled: true, ...grid },
    { type: "input", name: "asnRemark", label: "订单备注", value: "", disabled: true, ...grid },
    { type: "input", name: "remark", label: "备注", value: "", ...grid },
    { type: 'date', name: 'billDate', format: 'YYYY-MM-DD HH:mm:ss', showTime: true,required: true, label: '验收日期', value: '', ...grid },
    {
      type: "input", name: "rqcTemperature", label: "验收温度", value: "", ...grid,
      on: {
        change(event) {
          self.queryRefFromName('list').getDataSource(false, false).then((list) => {
            list.forEach((t) => {
              t.rqcTemperature = event.target.value;
            })
          })
        }
      }
    },

  ]
}