// 货主，商品编码，商品名称，商品规格，生产厂家、产地、是否受托生产，受托生产企业，
// 批准文号、上市许可持有人、批号，显示生产日期，
// 显示有效期至，入库数量，入库件数，入库零散数，抽检件数，
// 抽检零散数，实际抽检件数，实际抽检零散数
export const packingColumns = [
  { hidden: true, title: 'taskRqcId', dataIndex: 'taskRqcId', key: 'taskRqcId' },
  { hidden: true, title: 'itemId', dataIndex: 'itemId', key: 'itemId' },
  { hidden: true, title: 'batchId', dataIndex: 'batchId', key: 'batchId' },
  { hidden: true, title: 'mtlOwnerId', dataIndex: 'mtlOwnerId', key: 'mtlOwnerId' },
  { hidden: true, title: 'warehouseId', dataIndex: 'warehouseId', key: 'warehouseId' },
  { hidden: true, title: 'rcvHeaderId', dataIndex: 'rcvHeaderId', key: 'rcvHeaderId' },
  { hidden: true, title: 'asnHeaderId', dataIndex: 'asnHeaderId', key: 'asnHeaderId' },
  { hidden: true, title: 'srcAutoBillNum', dataIndex: 'srcAutoBillNum', key: 'srcAutoBillNum' },
  { hidden: true, title: "srcLineId", dataIndex: "srcLineId", key: "srcLineId" },
  { hidden: true, title: 'srcBillTyp', dataIndex: 'srcBillTyp', key: 'srcBillTyp' },
  { hidden: true, title: 'srcHeaderId', dataIndex: 'srcHeaderId', key: 'srcHeaderId' },
  { hidden: true, title: "asnLineId", dataIndex: "asnLineId", key: "asnLineId" },
  { hidden: true, title: "itemHealthIsDouble", dataIndex: "itemHealthIsDouble", key: "itemHealthIsDouble" },
  { hidden: true, title: 'rcvLineId', dataIndex: 'rcvLineId', key: 'rcvLineId' },
  { hidden: true, title: 'manufacturerLotNum', dataIndex: 'manufacturerLotNum', key: 'manufacturerLotNum' },
  { hidden: true, title: "categoryId", dataIndex: "categoryId", key: "categoryId" },
  { hidden: true, title: "piecePriceTe", dataIndex: "piecePriceTe", key: "piecePriceTe" },
  { hidden: true, title: "piecePriceTi", dataIndex: "piecePriceTi", key: "piecePriceTi" },

  { title: "货主", dataIndex: "mtlOwnerName", key: "mtlOwnerName", width: 180, type: "txt" },
  { title: "商品编码", dataIndex: "itemCode", key: "itemCode", width: 120, type: "txt" },
  { title: "商品名称", dataIndex: "itemName", key: "itemName", width: 160, type: "txt" },
  { title: "商品规格", dataIndex: "specification", key: "specification", width: 100, type: "txt" },
  { title: "生产厂家", dataIndex: "manufacturerName", key: "manufacturerName", width: 100, type: "txt" },
  { title: "产地", dataIndex: "productionPlace", key: "productionPlace", width: 100, type: "txt" },
  {
    title: "是否受托生产", dataIndex: "isDelegate", key: "isDelegate", width: 120, type: "txt",
    customRender(text) {
      return text == '1' ? '是' : '否'
    }
  },
  { title: "受托生产企业", dataIndex: "delegationPartyName", key: "delegationPartyName", width: 100, type: "txt" },
  { title: "批准文号", dataIndex: "approvalNumber", key: "approvalNumber", width: 100, type: "txt" },
  { title: "上市许可持有人", dataIndex: "itemHealthListedLicensor", key: "itemHealthListedLicensor", width: 100, type: "txt" },
  { title: "批号", dataIndex: "manufacturerLotNum", key: "manufacturerLotNum", width: 100, type: "txt" },
  { title: "显示生产日期", dataIndex: "showProductionDate", key: "showProductionDate", width: 100, type: "txt" },
  { title: "显示有效期至", dataIndex: "showExpiredDate", key: "showExpiredDate", width: 100, type: "txt" },
  { title: "入库数量", dataIndex: "pieceQty", key: "pieceQty", width: 100, type: "txt" },
  { title: "入库件数", dataIndex: "oddCaseQty", key: "oddCaseQty", width: 100, type: "txt" },
  { title: "入库零散数", dataIndex: "oddPieceQty", key: "oddPieceQty", width: 100, type: "txt" },
  { title: "抽检件数", dataIndex: "qcOddCaseQty", key: "qcOddCaseQty", width: 100, type: "txt" },
  { title: "抽检零散数", dataIndex: "qcOddPieceQty", key: "qcOddPieceQty", width: 100, type: "txt" },
  { title: "实际抽检件数", dataIndex: "qcOddCaseActQty", key: "qcOddCaseActQty", width: 100, type: "number", min: 1 },
  { title: "实际抽检零散数", dataIndex: "qcOddPieceActQty", key: "qcOddPieceActQty", width: 100, type: "number", min: 1 },

]
