import { upcloud_base_wh_outbound, upcloud_base_common } from "@/config/serviceSettings";
import moment from "moment";
const baseUrl = upcloud_base_wh_outbound;
import { remote } from "@/views/EIS/remote/index.js";

const config = function (that) {
  return {
    remoteUrl: {
      url: baseUrl + "/picktask/v1/print/again/task-list/whole",
      headers: {
        "Content-Type": "application/JSON",
      },
      method: "post",
    },
    remoteUrl2: {
      url: baseUrl + "/picktask/v1/print/again/task-list/spell",
      headers: {
        "Content-Type": "application/JSON",
      },
      method: "post",
    },
    remoteUrl3: {
      url: baseUrl + "/picktask/v1/print/again/task-list/wholeBulk",
      headers: {
        "Content-Type": "application/JSON",
      },
      method: "post",
    },
    items: [
      {
        span: 8,
        type: "row",
        label: "创建时间",
        list: [
          {
            type: "date",
            name: "startTime",
            placeholder: "请输入开始日期",
            value: moment().format("YYYY-MM-DD 00:00:00"),
            format: "YYYY-MM-DD HH:mm:ss",
            // showTime: true,
            style: "padding-right:5px;",
          },
          {
            type: "date",
            name: "endTime",
            placeholder: "请输入结束日期",
            value: moment().format("YYYY-MM-DD 23:59:59"),
            format: "YYYY-MM-DD HH:mm:ss",
          },
        ],
      },
      {
        span: 8,
        type: "input",
        name: "billNo",
        label: "订单编号",
        value: "",
      },
      {
        span: 8,
        type: "input",
        name: "shipperName",
        label: "收货单位名称",
        value: "",
      },
      {
        span: 8,
        type: "input",
        name: "barcode",
        label: "面单/标签条码",
        value: "",
      },
      //   {
      //     span: 8,
      //     type: "check",
      //     name: "templateTypes",
      //     label: "标签",
      //     value: [],
      //     options: [
      //       { label: "创新物流标签", value: "1" },
      //       { label: "补货标签", value: "2" },
      //       { label: "拣货标签", value: "3" },
      //     ],
      //     on: {
      //       change(value, form) {
      //         console.log(arguments);
      //       },
      //     },
      //   },

      {
        span: 24,
        type: "buttonGroup",
        style: { textAlign: "right" },
        options: [
          {
            value: "查询",
            icon: "search",
            btnType: "primary",
            style: "margin-right:10px",
            htmlType: "submit",
          },
          {
            value: "重置",
            icon: "redo",
            style: "margin-right:50px",
            on: {
              click: (event, form) => {
                console.log(form);
                form.resetFields();
              },
            },
          },
        ],
      },
    ],

    TaskColumns: [
      { title: "日期", dataIndex: "pickTime", key: "pickTime", align: "center", ellipsis: true },
      { title: "业主编码", dataIndex: "consignorCode", align: "center", key: "consignorCode" },
      { title: "业主名称", dataIndex: "consignorName", ellipsis: true, align: "center", key: "consignorName" },
      { title: "单据编号", key: "billId", ellipsis: true, dataIndex: "billId", align: "center" },
      { title: "是否打印", dataIndex: "printFlag", align: "center", ellipsis: true, key: "printFlag" },
      { title: "任务包号", key: "pickTaskId", ellipsis: true, dataIndex: "pickTaskId", align: "center" },
      { title: "标签条码", key: "barcode", ellipsis: true, dataIndex: "barcode", align: "center" },
      { title: "商品编号", key: "itemCode", ellipsis: true, dataIndex: "itemCode", align: "center" },
      { title: "商品名称", dataIndex: "itemName", align: "center", key: "itemName", ellipsis: true },
      { title: "单位名称", dataIndex: "shipperName", align: "center", key: "shipperName", ellipsis: true },
      { title: "批号", dataIndex: "lotNo", align: "center", key: "lotNo", ellipsis: true },
      {
        title: "生产日期",
        dataIndex: "productionDateShow",
        align: "center",
        key: "productionDateShow",
        ellipsis: true,
      },
      { title: "有效期至", dataIndex: "expiredDateShow", align: "center", key: "expiredDateShow", ellipsis: true },
      { title: "托盘条码", dataIndex: "containerCode", align: "center", key: "containerCode", ellipsis: true },
      { title: "拣货员", dataIndex: "pickerName", align: "center", key: "pickerName", ellipsis: true },
      { title: "数量", dataIndex: "qty", align: "center", key: "qty", ellipsis: true },
      { title: "件数", dataIndex: "pcs", align: "center", key: "pcs", ellipsis: true },
      { title: "零散数", dataIndex: "odd", align: "center", key: "odd", ellipsis: true },
      { title: "下架货位", dataIndex: "locatorCode", align: "center", key: "locatorCode", ellipsis: true },
      { title: "上架货位", dataIndex: "toLocatorCode", align: "center", key: "toLocatorCode", ellipsis: true },
      { title: "库区编号", dataIndex: "warehouseAreaCode", align: "center", key: "warehouseAreaCode", ellipsis: true },
      {
        dataIndex: 'operation',
        key: 'operation',
        title: '操作',
        width: 140,
        align: 'center',
        fixed: 'right',
        scopedSlots: {customRender: 'action'}
      }
    ],
    //拼箱主表
    OrderColumns: [
      { title: "日期", dataIndex: "checkTime", key: "checkTime", align: "center" },
      { title: "标签号", dataIndex: "barcode", align: "center", key: "barcode" },
      { title: "单据编号", dataIndex: "billId", align: "center", key: "billId" },
      { title: "货主编码", dataIndex: "consignorCode", ellipsis: true, align: "center", key: "consignorCode" },
      { title: "货主名称", key: "consignorName", ellipsis: true, dataIndex: "consignorName", align: "center" },
      { title: "单位名称", dataIndex: "shipperName", align: "center", ellipsis: true, key: "shipperName" },
      { title: "复核台", dataIndex: "stationName", align: "center", ellipsis: true, key: "stationName" },
      { title: "复核员", dataIndex: "checkerName", align: "center", ellipsis: true, key: "checkerName" },
      { title: "客户备注", dataIndex: "remark", align: "center", ellipsis: true, key: "remark" },
      { title: "暂存区起始", dataIndex: "stageCodeMin", align: "center", ellipsis: true, key: "stageCodeMin" },
      { title: "暂存区终止", dataIndex: "stageCodeMax", align: "center", ellipsis: true, key: "stageCodeMax" },
      {
        dataIndex: 'operation',
        key: 'operation',
        title: '操作',
        width: 140,
        align: 'center',
        fixed: 'right',
        scopedSlots: {customRender: 'action'}
      }
    ],
    //拼箱明细
    OrderColumnsSub: [
      { title: "拼箱号", dataIndex: "lclNo", key: "lclNo", align: "center" },
      { title: "商品编号", dataIndex: "itemCode", align: "center", key: "itemCode" },
      { title: "商品名称", dataIndex: "itemName", ellipsis: true, align: "center", key: "itemName" },
      { title: "商品规格", key: "itemSpecs", ellipsis: true, dataIndex: "itemSpecs", align: "center" },
      { title: "批号", dataIndex: "lotNo", align: "center", ellipsis: true, key: "lotNo" },
      {
        title: "生产日期",
        dataIndex: "productionDateShow",
        align: "center",
        ellipsis: true,
        key: "productionDateShow",
      },
      { title: "有效期至", dataIndex: "expiredDateShow", align: "center", ellipsis: true, key: "expiredDateShow" },
      { title: "复核员", dataIndex: "checkerName", align: "center", ellipsis: true, key: "checkerName" },
      { title: "数量", dataIndex: "qty", align: "center", ellipsis: true, key: "qty" },
      { title: "件数", dataIndex: "pcs", align: "center", ellipsis: true, key: "pcs" },
      { title: "零散数", dataIndex: "odd", align: "center", ellipsis: true, key: "odd" },
      { title: "产地", dataIndex: "productionPlace", align: "center", ellipsis: true, key: "productionPlace" },
    ],
    //整散主表
    TaskColumns3: [
      { title: "日期", dataIndex: "checkTime", key: "checkTime", align: "center" },
      { title: "单据编号", dataIndex: "billId", align: "center", key: "billId" },
      { title: "货主编码", dataIndex: "consignorCode", ellipsis: true, align: "center", key: "consignorCode" },
      { title: "货主名称", key: "consignorName", ellipsis: true, dataIndex: "consignorName", align: "center" },
      { title: "单位名称", dataIndex: "shipperName", align: "center", ellipsis: true, key: "shipperName" },
      { title: "复核台", dataIndex: "stationName", align: "center", ellipsis: true, key: "stationName" },
      { title: "复核员", dataIndex: "checkerName", align: "center", ellipsis: true, key: "checkerName" },
      { title: "客户备注", dataIndex: "remark", align: "center", ellipsis: true, key: "remark" },
      { title: "暂存区起始", dataIndex: "stageCodeMin", align: "center", ellipsis: true, key: "stageCodeMin" },
      { title: "暂存区终止", dataIndex: "stageCodeMax", align: "center", ellipsis: true, key: "stageCodeMax" },
    ],
    //整散明细
    TaskColumns3Sub: [
      //
      { title: "拣货明细行id", dataIndex: "pickTaskDId", key: "pickTaskDId", align: "center" },
      { title: "商品ID", dataIndex: "itemId", key: "itemId", align: "center" },
      { title: "商品编号", dataIndex: "itemCode", key: "taskId", align: "itemCode" },
      { title: "商品名称", dataIndex: "itemName", align: "center", key: "itemName" },
      { title: "商品规格", dataIndex: "itemSpecs", ellipsis: true, align: "center", key: "itemSpecs" },
      { title: "批号", key: "lotNo", ellipsis: true, dataIndex: "lotNo", align: "center" },
      {
        title: "生产日期",
        dataIndex: "productionDateShow",
        align: "center",
        ellipsis: true,
        key: "productionDateShow",
      },
      { title: "有效期至", key: "expiredDateShow", ellipsis: true, dataIndex: "expiredDateShow", align: "center" },
      { title: "拣货员", key: "pickerName", ellipsis: true, dataIndex: "pickerName", align: "center" },
      { title: "下架货位", key: "locatorCode", ellipsis: true, dataIndex: "locatorCode", align: "center" },
      { title: "数量", dataIndex: "qty", align: "center", key: "qty" },
      { title: "件数", dataIndex: "pcs", align: "center", key: "pcs" },
      { title: "零散数", dataIndex: "odd", align: "center", key: "odd" },
      { title: "产地", dataIndex: "productionPlace", align: "center", key: "productionPlace" },
      { title: "库区编码", dataIndex: "warehouseAreaCode", align: "center", key: "warehouseAreaCode" },
    ],
  };
};

export default config;
