import { genWarehouseAuthSearchModal, genCargoownerAuthSearchModal } from "@/views/kzyWMS/SearchModal";

let grid = {
  labelCol: { span: 8 },
  span: 8,
};

// 主界面查询表单
export function setFormItems(self) {
  return [
    { type: "input", hidden: true, name: "spanId", label: "spanId", value: "" },
    ...genWarehouseAuthSearchModal(1, true, false, null, null, grid),
    ...genCargoownerAuthSearchModal(1, true, false, null, null, grid),
    { type: "input", name: "billCode", label: "订单编号", value: "" },
    { type: "input", name: "waveId", label: "波次编号", value: "" },
    { type: "select", name: "status", options: self.statusList, label: "状态", value: "" },
    { type: "input", name: "customerId", hidden: true, label: "货主", value: "" },
    {
      span: 8,
      wrapperCol: { span: 16, offset: 8 },
      type: "buttonGroup",
      options: [
        {
          value: "查询",
          icon: "search",
          btnType: "primary",
          style: "margin-right:10px",
          htmlType: "submit",
        },
        {
          value: "重置",
          icon: "redo",
          on: {
            click: () => {
              self.$refs.formTarget.form.resetFields();
            },
          },
        },
      ],
    },
  ];
}

export function setFormItems2(self) {
  return [
    {
      type: "select",
      name: "sameDeptNo",
      options: [
        {
          label: "是",
          value: "0",
        },
        {
          label: "否",
          value: "1",
        },
      ],
      label: "是否同部门",
      value: "",
    },
    {
      type: "select",
      name: "samePaymentDayTye",
      options: [
        {
          label: "是",
          value: "0",
        },
        {
          label: "否",
          value: "1",
        },
      ],
      label: "是否同账期",
      value: "",
    },
  ];
}

// 表格列配置-波次维度
export const tableColumnsConfig = [
  {
    title: "波次编号",
    ellipsis: true,
    dataIndex: "id",
    width: "100px",
  },
  {
    title: "波次创建时间",
    ellipsis: true,
    dataIndex: "gmtCreate",
    width: "170px",
  },
  {
    title: "总数量",
    ellipsis: true,
    dataIndex: "totalNum",
    width: "100px",
  },
  {
    title: "总体积",
    ellipsis: true,
    dataIndex: "totalVolume",
    width: "100px",
  },
  {
    title: "总重量",
    ellipsis: true,
    dataIndex: "totalWeight",
    width: "100px",
  },
  { title: "订单数", ellipsis: true, dataIndex: "totalBills", width: "100px" },
  { title: "挂起订单数", ellipsis: true, dataIndex: "pendingBills", width: "100px" },
  { title: "整件任务数", ellipsis: true, dataIndex: "zjTasks", width: "100px" },
  { title: "零货任务数", ellipsis: true, dataIndex: "lhTasks", width: "100px" },
  { title: "功能库房任务数", ellipsis: true, dataIndex: "gnkfTasks", width: "100px" },
  { title: "补货任务数", ellipsis: true, dataIndex: "bhTasks", width: "100px" },
  { title: "整单任务数", ellipsis: true, dataIndex: "zdTasks", width: "100px" },
  {
    title: "状态",
    ellipsis: true,
    dataIndex: "status",
    width: "100px",
  },
  {
    title: "创建人",
    hidden: true,
    ellipsis: true,
    dataIndex: "creatorName",
    width: "100px",
  },
  {
    title: "创建时间",
    hidden: true,
    ellipsis: true,
    dataIndex: "gmtCreate",
  },
  {
    title: "失败原因",
    ellipsis: true,
    dataIndex: "errorMsg",
    width: "100px",
  },
  {
    title: "操作",
    key: "operate",
    align: "center",
    width: "100px",
    scopedSlots: { customRender: "action" },
  },
];
// 表格列配置-订单维度
export const orderColumnsConfig = [
  {
    title: "订单编号",
    hidden: false,
    ellipsis: true,
    dataIndex: "code",
    width: "100px",
  },
  {
    title: "包装数量",
    ellipsis: true,
    dataIndex: "containersNum",
    width: "100px",
  },
  {
    title: "是否合单",
    ellipsis: true,
    dataIndex: "isMerged",
    width: "80px",
    customRender: (text, record) => {
      if (text == "0") return "未合单";
      if (text == "1") return "已合单";
      return text;
    },
  },
  {
    title: "合并单编号",
    ellipsis: true,
    dataIndex: "mergedBillId",
    width: "120px",
  },
  {
    title: "总拼箱数",
    ellipsis: true,
    dataIndex: "totBoxNum",
    width: "70px",
  },
  {
    title: "总件数",
    ellipsis: true,
    dataIndex: "totalPcs",
    width: "70px",
  },
  {
    title: "总数量",
    ellipsis: true,
    dataIndex: "totQty",
    width: "70px",
  },
  {
    title: "总体积",
    ellipsis: true,
    dataIndex: "totVolume",
    width: "70px",
  },
  {
    title: "总重量",
    ellipsis: true,
    dataIndex: "totWeight",
    width: "100px",
  },
  {
    title: "状态",
    ellipsis: true,
    dataIndex: "status",
    width: "100px",
  },
  {
    title: "失败原因",
    ellipsis: true,
    dataIndex: "errorMsg",
    width: "100px",
  },
  {
    title: "操作",
    align: "center",
    width: "100px",
    scopedSlots: { customRender: "action" },
  },
];
// 表格列配置-订单行维度 & 表格列配置-波次明细-订单维度
export const itemsColumnsConfig = [
  {
    dataIndex: "itemHealthCategory",
    width: "100px",
    title: "商品大类",
  },
  {
    title: "商品编号",
    ellipsis: true,
    dataIndex: "itemId",
    width: "100px",
  },
  {
    title: "商品编码",
    ellipsis: true,
    dataIndex: "itemCode",
    width: "100px",
  },
  {
    title: "商品名称",
    ellipsis: true,
    dataIndex: "itemName",
    width: "200px",
  },
  {
    title: "商品规格",
    ellipsis: true,
    dataIndex: "itemSpecs",
    width: "100px",
  },
  {
    dataIndex: "itemHealthListedLicensor",
    width: "150px",
    title: "上市许可持有人",
  },
  {
    title: "生产厂家",
    ellipsis: true,
    dataIndex: "manufacturer",
    width: "200px",
  },
  {
    dataIndex: "countryOriginId",
    width: "150px",
    title: "产地",
  },
  {
    dataIndex: "itemHealthRegisterNbr",
    width: "150px",
    title: "注册证号",
  },
  {
    dataIndex: "lotNo",
    title: "批号",
    width: "150px",
  },
  {
    dataIndex: "pdateFrom",
    title: "生产日期",
    width: "150px",
  },
  {
    title: "数量",
    ellipsis: true,
    dataIndex: "pieceQty",
    width: "100px",
  },
  {
    title: "零散数",
    ellipsis: true,
    dataIndex: "oddPieceQty",
    width: "100px",
  },
  {
    dataIndex: "caseConversionRate",
    width: "100px",
    title: "包装数量",
  },
  {
    dataIndex: "itemHealthIsDouble",
    width: "100px",
    title: "是否双人复核",
    customRender: (text, record) => {
      if (text == "0") return "单人";
      if (text == "1") return "双人";
      return text;
    },
  },
  {
    dataIndex: "itemHealthApprovalNbr",
    width: "100px",
    title: "批准文号",
  },
  {
    dataIndex: "isCaseOrPiece",
    width: "100px",
    title: "整散标志",
    customRender: (text, record) => {
      if (text == "0") return "整散合一";
      if (text == "1") return "整散分离";
      return text;
    },
  },
  {
    dataIndex: "itemHealthSuperviseflag",
    width: "100px",
    title: "是否监管",
    customRender: (text, record) => {
      if (text == "0") return "否";
      if (text == "1") return "是";
      return text;
    },
  },
  {
    dataIndex: "itemIsValuable",
    width: "100px",
    title: "是否贵重商品",
    customRender: (text, record) => {
      if (text == "0") return "否";
      if (text == "1") return "是";
      return text;
    },
  },
  {
    dataIndex: "itemIsFragile",
    width: "100px",
    title: "是否易碎",
    customRender: (text, record) => {
      if (text == "0") return "否";
      if (text == "1") return "是";
      return text;
    },
  },
  {
    dataIndex: "isBacteria",
    width: "100px",
    title: "是否无菌",
    customRender: (text, record) => {
      if (text == "0") return "否";
      if (text == "1") return "是";
      return text;
    },
  },
  {
    dataIndex: "isDelegate",
    width: "100px",
    title: "是否委托生产",
    customRender: (text, record) => {
      if (text == "0") return "否";
      if (text == "1") return "是";
      return text;
    },
  },
  {
    dataIndex: "isHosted",
    width: "100px",
    title: "商品是否代管",
    customRender: (text, record) => {
      if (text == "0") return "否";
      if (text == "1") return "是";
      return text;
    },
  },
  {
    dataIndex: "itemAssistantCode",
    width: "100px",
    title: "助记码",
  },
  {
    dataIndex: "cargoOwnerCode",
    width: "100px",
    title: "货主编码",
  },
  {
    dataIndex: "itemHealthProduceLicense",
    width: "150px",
    title: "生产企业许可证号",
  },
  {
    dataIndex: "itemHealthRecordNbr",
    width: "100px",
    title: "备案号",
  },
  {
    dataIndex: "volume",
    width: "100px",
    title: "箱体积",
  },
  {
    dataIndex: "weight",
    width: "100px",
    title: "箱重量",
  },
  {
    title: "操作",
    key: "operate",
    align: "center",
    fixed: "right",
    width: "100px",
    scopedSlots: { customRender: "action" },
  },
];

// 表格列配置-波次明细-订单维度
export const detailOrderColumnsConfig = [
  {
    title: "订单编号",
    hidden: false,
    ellipsis: true,
    dataIndex: "code",
    width: "100px",
  },
  {
    title: "包装数量",
    ellipsis: true,
    dataIndex: "containersNum",
    width: "100px",
  },
  {
    title: "总拼箱数",
    ellipsis: true,
    dataIndex: "totBoxNum",
    width: "70px",
  },
  {
    title: "总件数",
    ellipsis: true,
    dataIndex: "totalPcs",
    width: "70px",
  },
  {
    title: "总数量",
    ellipsis: true,
    dataIndex: "totQty",
    width: "70px",
  },
  {
    title: "总体积",
    ellipsis: true,
    dataIndex: "totVolume",
    width: "70px",
  },
  {
    title: "总重量",
    ellipsis: true,
    dataIndex: "totWeight",
    width: "100px",
  },
  {
    title: "状态",
    ellipsis: true,
    dataIndex: "status",
    width: "100px",
  },
  {
    title: "失败原因",
    ellipsis: true,
    dataIndex: "errorMsg",
    width: "100px",
  },
];

const replenishColumns = function (that) {
  return [
    {
      dataIndex: "consignorName",
      key: "consignorName",

      width: "100px",
      align: "center",
      title: "货主名称",
    },
    {
      dataIndex: "typeName",
      key: "typeName",

      width: "100px",
      align: "center",
      title: "商品分类",
    },
    {
      dataIndex: "itemCode",
      key: "itemCode",

      align: "center",
      width: "100px",
      title: "商品编码",
    },
    {
      dataIndex: "itemName",
      key: "itemName",

      width: "100px",
      align: "center",
      title: "商品名称",
    },
    {
        dataIndex: "batchNo",
        key: "batchNo",
  
        align: "center",
        width: "100px",
        title: "批次号",
      },
    {
      dataIndex: "allowableQty",
      key: "allowableQty",

      align: "center",
      width: "100px",
      title: "可补数量",
    },
    {
      dataIndex: "allowablePcs",
      key: "allowablePcs",

      width: "100px",
      align: "center",
      title: "可补件数",
    },
    {
      dataIndex: "shouldQty",
      key: "shouldQty",

      align: "center",
      width: "100px",
      title: "应补数量",
    },
    {
      dataIndex: "shouldPcs",
      key: "shouldPcs",

      width: "100px",
      align: "center",
      title: "应补件数",
    },
    {
      dataIndex: "conversionRate",
      key: "conversionRate",

      align: "center",
      title: "包装数量",
      width: "100px",
    },
    {
      dataIndex: "areaCategory",
      key: "areaCategory",

      width: "100px",
      align: "center",
      title: "库别",
    },
    {
      dataIndex: "uom",
      key: "uom",

        width: "100px",
      align: "center",
      title: "包装单位",
    },
  ];
};

export { replenishColumns };
