
export function setFormItems(self) {
  let _this = self
  return [
    {
      type: 'input',
      hidden: true,
      name: 'spanId',
      label: 'spanId',
      value: ''
    },
    {
      span: 6,
      type: 'input',
      name: 'customercode',
      label: '仓库',
      value: ''
    },
    {
      span: 6,
      type: 'date',
      name: 'consignmentExpiration',
      label: '日期:',
      format: 'YYYY-MM-DD',
      required: false,
    },
    {
      span: 6,
      type: 'buttonGroup',
      style: { textAlign: 'right' },
      options: [
        {
          value: '查询',
          icon: 'search',
          btnType: 'primary',
          style: 'margin-right:10px',
          htmlType: 'submit'
        },
        {
          value: '重置',
          icon: 'redo',
          on: {
            click: () => {
              self.$refs.formTarget.form.resetFields()
            }
          }
        }
      ]
    }
  ]
}

export function detailFormItems(self) {
  let _this = self
  return [
    {
      type: 'input',
      hidden: true,
      name: 'customerid',
      label: 'customerid',
      value: ''
    },
    // {
    //   type: 'input',
    //   label: '客户名称',
    //   name: 'customername',
    //   value: ''
    // },
    {
      type: 'input',
      disabled: true,
      name: 'customercode',
      label: '客户编码',
      rules: [{ required: true, message: '数据不能为空' }],
      value: ''
    },
    // {
    //   type: 'input',
    //   name: 'branchname',
    //   label: '仓库名称',
    //   value: ''
    // },
    // {
    //   type: 'input',
    //   name: 'lineName',
    //   label: '线路名称',
    //   value: ''
    // },
    {
      type: 'input',
      disabled: true,
      name: 'branchcode',
      label: '仓库编码',
      rules: [{ required: true, message: '数据不能为空' }],
      value: ''
    },
    {
      type: 'input',
      disabled: true,
      name: 'lineCode',
      label: '线路编码',
      rules: [{ required: true, message: '数据不能为空' }],
      value: ''
    },
    {
      type: 'textarea',
      span: 8,
      name: 'memo',
      label: '备注',
      limit: 100,
      value: ''
    }
  ]
}
export const tableColumnsConfig = [
  {
    title: '波次ID',
    hidden: false,
    dataIndex: 'customername',
    width: '100px',
    className: 'v_top'
  },
  {
    title: '订单数量',
    hidden: false,
    dataIndex: 'branchid',
    width: '100px',
    className: 'v_top'
  },
  {
    title: '总数量',
    hidden: false,
    dataIndex: 'branchname',
    width: '100px',
    className: 'v_top'
  },
  {
    title: '总体积',
    hidden: false,
    dataIndex: 'lineName',
    width: '100px',
    className: 'v_top'
  },
  {
    title: '总数量',
    hidden: false,
    dataIndex: 'statusName',
    width: '100px',
    className: 'v_top'
  },
  {
    title: '总体积',
    hidden: false,
    dataIndex: 'status',
    width: '100px',
    className: 'v_top'
  },
  {
    title: '总重量',
    hidden: false,
    dataIndex: 'createBy',
    width: '100px',
    className: 'v_top'
  },
  {
    title: '失败原因',
    hidden: false,
    dataIndex: 'createdate',
    width: '100px',
    className: 'v_top'
  },
  {
    title: '操作',
    key: 'operate',
    align: 'center',
    fixed: 'right',
    width: '175px',
    scopedSlots: { customRender: 'action' }
  }
]
