import { upcloud_base_strategy } from "@/config/serviceSettings";
const remote = function(value) {
  return {
    autoLoad: true,
    remoteUrl: {
      url: upcloud_base_strategy + '/enum/v1',
      params: { typeNname: value },
      headers: {
        'Content-Type': 'application/JSON'
      },
      method: 'get'
    },
    doneBefore(data) {
      //   console.log(data.data)
      if (data && data.success) {
        var da = data.data
        var arr = da.map(x => {
          return {
            label: x.key,
            value: x.value
          }
        })
        data.data = arr
      }
      console.log(data)
      return data
    }
  }
}
const model = {
  //策略
  strategy: {
    items: [
      {
        type: 'select',
        name: 'groupType',
        label: ' 参数类型',
        required: true,
        value: '',
        labelCol: { span: 6 },
        span: 24,
        on: {
          change(value, label, options, form) {
            console.log(value)
          }
        },
        options: [
          // 系统、入库、出库
          { label: '系统', value: '系统' },
          { label: '入库', value: '入库' },
          { label: '出库', value: '出库' }
        ]
      },
      {
        type: 'input',
        name: 'regCode',
        label: '参数编号',
        required: true,
        value: '',
        labelCol: { span: 6 },
        span: 24
      },
      {
        type: 'input',
        name: 'regName',
        label: '参数名称',
        required: true,
        value: '',
        labelCol: { span: 6 },
        span: 24
      },
      {
        type: 'input',
        name: 'regValue',
        label: '参数值',
        required: true,
        value: '',
        labelCol: { span: 6 },
        span: 24
      },

      {
        type: 'select',
        name: 'modifyLevel',
        label: ' 修改等级',
        value: '',
        labelCol: { span: 6 },
        span: 24,
        on: {
          change(value, label, options, form) {
            console.log(value)
          }
        },
        options: [
          { label: '系统,不可修改', value: 10 },
          { label: '个性化参数,可以修改', value: 20 }
        ]
      },
      {
        type: 'textarea',
        name: 'remark',
        label: '备注',
        value: '',
        style: {
          height: '100px'
        },
        labelCol: { span: 6 },
        span: 24
      }
      //   {
      //     type: 'select',
      //     name: 'language',
      //     label: ' 语言',
      //     required: true,
      //     value: '',
      //     labelCol: { span: 6 },
      //     span: 24,
      //     on: {
      //       change(value, label, options, form) {
      //         if (value == 'Java') {
      //           form.visibleItem('clz')
      //           form.invisibleItem('scriptData')
      //         } else {
      //           form.visibleItem('scriptData')
      //           form.invisibleItem('clz')
      //         }
      //         // console.log(value)
      //       }
      //     },
      //     options: [
      //       { label: 'Java', value: 'Java' },
      //       { label: 'Javascript', value: 'Javascript' },
      //       { label: 'Beanshell', value: 'Beanshell' }
      //     ]
      //   },
      //   {
      //     type: 'textarea',
      //     name: 'scriptData',
      //     label: '脚本',
      //     style: {
      //       height: '100px'
      //     },
      //     required: true,
      //     value: '',
      //     labelCol: { span: 6 },
      //     span: 24
      //   },
      //   {
      //     type: 'input',
      //     name: 'clz',
      //     label: '类',
      //     required: true,
      //     value: '',
      //     labelCol: { span: 6 },
      //     span: 24
      //   },
      //   {
      //     type: 'select',
      //     name: 'category',
      //     label: '算法分类',
      //     required: true,
      //     value: '',
      //     labelCol: { span: 6 },
      //     span: 24,
      //     ...remote('strategy')
      //   },
      //   {
      //     type: 'input',
      //     name: 'id',
      //     label: 'ID',
      //     value: '',
      //     labelCol: { span: 6 },
      //     span: 24,
      //     hidden: true
      //   },
      //   {
      //     type: 'textarea',
      //     name: 'remark',
      //     label: '备注',
      //     value: '',
      //     style: {
      //       height: '100px'
      //     },
      //     labelCol: { span: 6 },
      //     span: 24
      //   }
    ]
  }
}
export default model
